Index: /release-kits/lirk3/ant-scripts/compile.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/compile.xml	(revision 16621)
+++ /release-kits/lirk3/ant-scripts/compile.xml	(revision 16622)
@@ -52,5 +52,5 @@
 		<addressedcall target="mgpp-add-static" />
 		<addressedcall target="mg-add-static" />
-		<addressedcall target="gs2buildextra-add-static" />
+		<addressedcall target="gs2build-add-static" />
 	</target>
 
@@ -62,6 +62,7 @@
 
 	<target name="dist-configure-unix">
+
 		<if><bool><istrue value="${execute}"/></bool>
-			<exec dir="greenstone3/gs2build/gs2build-extra" executable="autoconf" output="greenstone3/gs2build/configure">
+			<exec dir="greenstone3/gs2build" executable="autoconf" output="greenstone3/gs2build/configure">
 				<arg line="configure.in"/>
 			</exec>
@@ -69,4 +70,5 @@
 			<ant dir="greenstone3" antfile="${lirk3.home}/ant-scripts/operations-on-gs3home.xml" target="configure-unix" inheritAll="false"/>
 		</if>
+
 	</target>
 
@@ -144,6 +146,6 @@
 	<target name="mgpp-add-static">
 		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/gs2build/indexers/mgpp/configure.in" pattern="^LDFLAGS=$" replacement="LDFLAGS=-static" />
-			<exec dir="greenstone3/gs2build/indexers/mgpp" executable="autoconf" output="greenstone3/gs2build/indexers/mgpp/configure">
+			<rsr file="greenstone3/gs2build/common-src/indexers/mgpp/configure.in" pattern="^LDFLAGS=$" replacement="LDFLAGS=-static" />
+			<exec dir="greenstone3/gs2build/common-src/indexers/mgpp" executable="autoconf" output="greenstone3/gs2build/common-src/indexers/mgpp/configure">
 				<arg line="configure.in"/>
 			</exec>
@@ -152,14 +154,15 @@
 	<target name="mg-add-static">
 		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/gs2build/indexers/mg/configure.in" pattern="^LDFLAGS=$" replacement="LDFLAGS=-static" />
-			<exec dir="greenstone3/gs2build/indexers/mg" executable="autoconf" output="greenstone3/gs2build/indexers/mg/configure">
+			<rsr file="greenstone3/gs2build/common-src/indexers/mg/configure.in" pattern="^LDFLAGS=$" replacement="LDFLAGS=-static" />
+			<exec dir="greenstone3/gs2build/common-src/indexers/mg" executable="autoconf" output="greenstone3/gs2build/common-src/indexers/mg/configure">
 				<arg line="configure.in"/>
 			</exec>
 		</if>
 	</target>
-	<target name="gs2buildextra-add-static">
+	<target name="gs2build-add-static">
 		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/gs2build/gs2build-extra/packages.configure" pattern="^ENVIRONMENT=&quot;&quot;$" replacement="ENVIRONMENT=&quot;LDFLAGS=-static&quot;" />
-			<rsr file="greenstone3/gs2build/gs2build-extra/configure.in" pattern="^LDFLAGS=$" replacement="LDFLAGS=-static" />
+			<rsr file="greenstone3/gs2build/common-src/packages/configure" pattern="^ENVIRONMENT=&quot;&quot;$" replacement="ENVIRONMENT=&quot;LDFLAGS=-static&quot;" />
+			<rsr file="greenstone3/gs2build/build-src/packages/configure"  pattern="^ENVIRONMENT=&quot;&quot;$" replacement="ENVIRONMENT=&quot;LDFLAGS=-static&quot;" />
+			<rsr file="greenstone3/gs2build/configure.in" pattern="^LDFLAGS=.*" replacement="LDFLAGS=-static" />
 		</if>
 	</target>
@@ -167,20 +170,20 @@
 	<target name="wv-add-static">
 		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/gs2build/packages/wv/wv-gs/Makefile" pattern="^LDFLAGS =\s*$" replacement="LDFLAGS = -static" />
+			<rsr file="greenstone3/gs2build/build-src/packages/wv/wv-gs/Makefile" pattern="^LDFLAGS =\s*$" replacement="LDFLAGS = -static" />
 		</if>
 	</target>
 	<target name="xlhtml-add-static">
 		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/gs2build/packages/xlhtml/xlhtml-0.4.9.0/xlhtml/Makefile" pattern="^LDFLAGS =\s*$" replacement="LDFLAGS = -static" />
+			<rsr file="greenstone3/gs2build/build-src/packages/xlhtml/xlhtml-0.4.9.0/xlhtml/Makefile" pattern="^LDFLAGS =\s*$" replacement="LDFLAGS = -static" />
 		</if>
 	</target>
 	<target name="ppthtml-add-static">
 		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/gs2build/packages/xlhtml/xlhtml-0.4.9.0/ppthtml/Makefile" pattern="^LDFLAGS =\s*$" replacement="LDFLAGS = -static" />
+			<rsr file="greenstone3/gs2build/build-src/packages/xlhtml/xlhtml-0.4.9.0/ppthtml/Makefile" pattern="^LDFLAGS =\s*$" replacement="LDFLAGS = -static" />
 		</if>
 	</target>
 	<target name="rtftohtml-add-static">
 		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/gs2build/packages/rtftohtml/rtftohtml_src/Makefile" pattern="-o rtftohtml(.{2})EXEEXT(.{1})" replacement="-o rtftohtml$1EXEEXT$2 -static" />
+			<rsr file="greenstone3/gs2build/build-src/packages/rtftohtml/rtftohtml_src/Makefile" pattern="-o rtftohtml(.{2})EXEEXT(.{1})" replacement="-o rtftohtml$1EXEEXT$2 -static" />
 		</if>
 	</target>
Index: /release-kits/lirk3/ant-scripts/operations-on-gs3home.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/operations-on-gs3home.xml	(revision 16621)
+++ /release-kits/lirk3/ant-scripts/operations-on-gs3home.xml	(revision 16622)
@@ -28,5 +28,4 @@
 	<target name="update-unix" depends="init">
 		<antcall target="svnupdate-distribution"/>
-		<antcall target="rename-gs2build-files-unix"/>
 		<antcall target="delete-windows-files"/>
 	</target>
@@ -56,5 +55,4 @@
 		<!--<delete file="${gli.home}/gli.sh"/>-->
 		<delete file="${gli.home}/gems.sh"/>
-		<antcall target="rename-gs2build-files-dist"/>    
 		<delete dir="${gs2build.home}/gs2build-extra"/>
 
@@ -149,10 +147,4 @@
 	</target>
   
-	<target name="rename-gs2build-files-dist" depends="init,rename-gs2build-files-unix">
-		<copy file="${gs2build-extra.home}/lib.win32.mak" tofile="${gs2build.home}/lib/win32.mak"/>
-		<copy file="${gs2build-extra.home}/win32.mak" tofile="${gs2build.home}/win32.mak"/>
-		<copy file="${gs2build-extra.home}/setup.bat" tofile="${gs2build.home}/setup.bat"/>
-	</target>   
-
   <target name="configure-packages-and-indexers" depends="init">
     <exec executable="${indexers.home}/configure"
Index: /release-kits/lirk3/bin/lirk3
===================================================================
--- /release-kits/lirk3/bin/lirk3	(revision 16621)
+++ /release-kits/lirk3/bin/lirk3	(revision 16622)
@@ -1,89 +1,7 @@
-function show_help {
-	echo "lirk3 - the LInux Release Kit for greenstone3"
-	echo "Helps you to create releases of Greenstone3 from the Repository"
-	echo
-	echo "usage: lirk3 [-sim] [-from <target>] [other-args]"
-	echo "	-sim"
-	echo "		(shortcut for -Dexecute=false)"
-	echo "		simulation only, don't actually do anything"
-	echo
-	echo "	-from <target>"
-	echo "		(shortcut for -Dresume.from=<target>)"
-	echo "		start execution from the target with the given target address"
-	echo "		first level targets can be referred to by name. E.g., -from compile is the same as -from 1"
-	echo
-	echo "	-descend <target>"
-	echo "		(shortcut for -Dresume.descend=<target>)"
-	echo "		execute only the descendents of the target specified with -from"
-	echo "		for example, with -descend 3, targets 3.1, 3.2, 3.3 etc. would be executed, but execution
-	echo "		would stop before target 4
-	echo
-	echo "	-cp"
-	echo "		show the classpath being used by LiRK3"
-	echo "		(like `ant --diagnostics`)"
-	
-}
+rk_name="lirk3"
+rk_fullname="Linux Release Kit for Greenstone3"
+RK_HOME=$LIRK3_HOME
+source $LIRK3_HOME/linux/rk
 
-#work out the classpath
-CLASSPATH=$JAVA_HOME/lib/tools.jar
-for file in $LIRK3_HOME/lib/*.jar; do
-	CLASSPATH=$CLASSPATH:$file
-done
-for file in $LIRK3_HOME/packages/ant/lib/*.jar; do
-	CLASSPATH=$CLASSPATH:$file
-done
-for file in $LIRK3_HOME/packages/ant-installer/lib/*.jar; do
-	CLASSPATH=$CLASSPATH:$file
-done
-CLASSPATH=$CLASSPATH:$LIRK3_HOME/packages/ant-installer/classes
-
-
-#create the command
-toexec="$LIRK3_HOME/packages/ant/bin/ant -lib `pwd`/installer/classes -f $LIRK3_HOME/ant-scripts/build.xml -Dbasedir=`pwd` -Dlirk3.home=$LIRK3_HOME"
-
-#pass on the arguments
-while [ "$1" != "" ]; do
-
-	if [ "$1" == "-help" ]; then
-		show_help
-		exit
-
-	elif [ "$1" == "-cp" ]; then
-		echo $CLASSPATH
-		exit
-
-	elif [ "$1" == "-sim" ]; then
-		toexec="$toexec -Dexecute=false"
-		shift
-
-	elif [ "$1" == "-descend" ]; then
-		toexec="$toexec -Dresume.descend="
-		descend=`echo $2 | sed 's/compile/1/g' | sed 's/create-distributions/2/g' | sed 's/create-installer/3/g' | sed 's/wrap/4/g'`
-		toexec=$toexec$descend
-		shift 2
-
-	elif [ "$1" == "-from" ]; then
-
-		toexec="$toexec -Dresume.from="
-		from=`echo $2 | sed 's/compile/1/g' | sed 's/create-distributions/2/g' | sed 's/create-installer/3/g' | sed 's/wrap/4/g'`
-		toexec=$toexec$from
-		shift 2
-
-	elif [ "$1" == "-to" ]; then
-
-		toexec="$toexec -Dresume.to="
-		to=`echo $2 | sed 's/compile/1/g' | sed 's/create-distributions/2/g' | sed 's/create-installer/3/g' | sed 's/wrap/4/g'`
-		toexec=$toexec$to
-		shift 2
-
-
-	else
-		toexec="$toexec $1"
-		shift
-	fi
-
-done
-
-#echo $toexec
 echo "O---------------------------------------O"
 echo "|                                       |"
@@ -92,5 +10,6 @@
 echo "|                                       |"
 echo "O---------------------------------------O"
-echo "Basedir  : `pwd`"
 
+
+#run the command
 $toexec