Index: /release-kits/wirk3/ant-scripts/operations-on-gs3home.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/operations-on-gs3home.xml	(revision 16630)
+++ /release-kits/wirk3/ant-scripts/operations-on-gs3home.xml	(revision 16631)
@@ -35,5 +35,4 @@
 		<antcall target="update-winbin"/>
 		<antcall target="get-windows-binaries"/>
-		<antcall target="rename-gs2build-files-windows"/>
 		<antcall target="compile-gs2build"/>
 		<antcall target="compile-packages"/>
@@ -49,7 +48,5 @@
 		<delete file="${gli.home}/gems.bat"/>
 		<delete file="${gli.home}/gems.sh"/>
-		<antcall target="rename-gs2build-files-dist"/>    
-		<delete dir="${gs2build-extra.home}"/>
-
+		
 		<!-- <antcall target="unzip-windows-packages"/> do we need this? -->
 		<antcall target="prepare-tomcat"/>
@@ -84,9 +81,6 @@
 		<!-- compile the java stuff -->
 		<antcall target="compile-web"/>
-		
-		<!-- we can get this from the main greenstone3 directory
-		<antcall target="compile-packages-and-indexers"/>-->
 		<antcall target="compile-packages-and-indexers-javaonly"/>
-		
+		<antcall target="distclean-packages"/>
 		<antcall target="compile-core"/>
 		<antcall target="compile-gli"/>
@@ -102,5 +96,5 @@
 		<move file="${gs2build.home}/win32.mak" tofile="${gs2build.home}/source/win32.mak"/>
 		<!--<move file="${gs2build.home}/setup.bat" tofile="${gs2build.home}/source/setup.bat"/>-->
-		<move file="${gs2build.home}/WIN32cfg.h" tofile="${gs2build.home}/source/WIN32cfg.h"/>
+		<!--<move file="${gs2build.home}/win32cfg.h" tofile="${gs2build.home}/source/win32cfg.h"/>-->
 
 		<!-- clean up -->
@@ -147,21 +141,14 @@
 		<xslt in="${basedir}/build.xml" out="${basedir}/modified-build.xml" style="${wirk3.home}/greenstone3/xsl/convert-build-xml.xsl"/>
 	</target>
-  
-	<target name="rename-gs2build-files-dist" depends="init">
-		<mkdir dir="${gs2build.home}/gs2build-extra/lib"/>
-		<copy file="${gs2build.home}/gs2build-extra/lib.win32.mak" tofile="${gs2build.home}/lib/win32.mak"/>
-		<copy file="${gs2build.home}/gs2build-extra/win32.mak" tofile="${gs2build.home}/win32.mak"/>
-		<copy file="${gs2build.home}/gs2build-extra/setup.bat" tofile="${gs2build.home}/setup.bat"/>
-	</target>   
 
 	<target name="compile-packages-and-indexers-javaonly" depends="init">
 		<echo>Getting Indexer Jars</echo>
 		<!-- install the jar files -->
-		<copy file="${basedir}/../../greenstone3/gs2build/indexers/mg/mg.jar" todir="${lib.jni}"/>
-		<copy file="${basedir}/../../greenstone3/gs2build/indexers/mgpp/mgpp.jar" todir="${lib.jni}"/>
-		<copy file="${basedir}/../../greenstone3/gs2build/indexers/lucene-gs/LuceneWrapper.jar" todir="${web.lib}"/>
+		<copy file="${basedir}/../../greenstone3/gs2build/common-src/indexers/mg/mg.jar" todir="${lib.jni}"/>
+		<copy file="${basedir}/../../greenstone3/gs2build/common-src/indexers/mgpp/mgpp.jar" todir="${lib.jni}"/>
+		<copy file="${basedir}/../../greenstone3/gs2build/common-src/indexers/lucene-gs/LuceneWrapper.jar" todir="${web.lib}"/>
 		<!-- javagdbm -->
 		<!-- install the jar file -->
-		<copy file="${basedir}/../../greenstone3/src/packages/javagdbm/javagdbm.jar" todir="${lib.jni}"/>
+		<copy file="${basedir}/../../greenstone3/src/packages/javagdbm/javagdbm.jar" todir="${lib.jni}" />
 	</target>
 
Index: /release-kits/wirk3/installer/build.xml
===================================================================
--- /release-kits/wirk3/installer/build.xml	(revision 16630)
+++ /release-kits/wirk3/installer/build.xml	(revision 16631)
@@ -23,9 +23,10 @@
 	</path>
 	<property name="installDir.local" refid="installDir.path"/>
+
+	<!-- load windows properties -->
+	<winprops/>
 	
 	
 	<target name="install-core-components">
-		<!-- load windows properties -->
-		<winprops/>
 
 		<!-- create the installation directory -->
@@ -154,6 +155,5 @@
 	<target name="install-start-menu-shortcuts">
 
-		<mkdir dir="${win32.personal.programs_menu}\Greenstone-@version@\documentation"/>
-		
+		<mkdir dir="${win32.personal.programs_menu}\Greenstone-@version@\Documentation"/>
 		
 		<shortcut
@@ -179,13 +179,13 @@
 
 		<shortcut
-			file="${win32.personal.programs_menu}\Greenstone-@version@\documentation\README.lnk"
+			file="${win32.personal.programs_menu}\Greenstone-@version@\Documentation\README.lnk"
 			execute="${installDir}\README.txt" />
 
 		<shortcut
-			file="${win32.personal.programs_menu}\Greenstone-@version@\documentation\Greenstone3 Users' Guide.lnk"
+			file="${win32.personal.programs_menu}\Greenstone-@version@\Documentation\Greenstone3 Users' Guide.lnk"
 			execute="${installDir}\documentation\manual\manual.pdf" />
 
 		<shortcut
-			file="${win32.personal.programs_menu}\Greenstone-@version@\documentation\Greenstone2 Users' Guide.lnk"
+			file="${win32.personal.programs_menu}\Greenstone-@version@\Documentation\Greenstone2 Users' Guide.lnk"
 			execute="${installDir}\documentation\manual\gs2_user_en.pdf" />
 
Index: /release-kits/wirk3/src/wirk3.cpp
===================================================================
--- /release-kits/wirk3/src/wirk3.cpp	(revision 16630)
+++ /release-kits/wirk3/src/wirk3.cpp	(revision 16631)
@@ -59,14 +59,9 @@
 
 		} else if ( a.compare("-descend") == 0 ) {
-			command += " -Dresume.mode=descend";
-			
+			command = command + " -Dresume.descend=" + argv[++i];
 		} else if ( a.compare("-from") == 0 ) {
 			command = command + " -Dresume.from=" + argv[++i];
-			//from=`echo $2 | sed 's/compile/1/g' | sed 's/create-distributions/2/g' | sed 's/create-installer/3/g' | sed 's/wrap/4/g'`
-			//toexec=$toexec$from
 		} else if ( a.compare("-to") == 0 ) {
 			command = command + " -Dresume.to=" + argv[++i];
-			//to=`echo $2 | sed 's/compile/1/g' | sed 's/create-distributions/2/g' | sed 's/create-installer/3/g' | sed 's/wrap/4/g'`
-			//toexec=$toexec$to
 		} else {
 			command = command + " " + a;