Index: /gli/trunk/help/en/assignlanguages.htm
===================================================================
--- /gli/trunk/help/en/assignlanguages.htm	(revision 16649)
+++ /gli/trunk/help/en/assignlanguages.htm	(revision 16650)
@@ -12,5 +12,5 @@
 
 
-<p>This section details how to restrict search indexes to particular languages. You do this by generating a partition using the "Assign Languages" tab of the "Partition Indexes" view.</p>
+<p>This section details how to restrict search indexes to particular languages. You do this by generating a partition using the "Assign Languages" tab of the "Partition Indexes" panel.</p>
 
 <p>To add a new language partition, use the "Assign Languages" tab to build an index for it.  Select one or more languages from the "Languages to add" list and click "Add Partition".</p>
Index: /gli/trunk/help/en/builderrors.htm
===================================================================
--- /gli/trunk/help/en/builderrors.htm	(revision 16649)
+++ /gli/trunk/help/en/builderrors.htm	(revision 16650)
@@ -12,5 +12,5 @@
 
 
-<p>Sometimes things go wrong during collection building. Maybe some files couldn't be processed: the rest of the collection builds fine, and can be previewed, but some documents are absent. Or the whole collection is not built properly, in which case a message says "An error has occurred and the collection could not be created." When this happens, it may be helpful to switch the GLI into expert mode (File-&gt;Preferences-&gt;Mode, see <a href="preferences.htm">Preferences</a>), set the build option "verbosity" to 5, and rebuild, to see if there are any error messages.</p>
+<p>Sometimes things go wrong during collection building. Maybe some files couldn't be processed: the rest of the collection builds fine, and can be previewed, but some documents are absent. Or the whole collection is not built properly, in which case a message says "An error has occurred and the collection could not be created." When this happens, it may be helpful to switch the GLI into expert mode (File-&gt;Preferences-&gt;Mode, see <a href="preferences.htm">Preferences</a>), set the build option "verbosity" to 5, and rebuild, to see if there are any other error messages.</p>
 
 </body>
Index: /gli/trunk/help/en/classifiers.htm
===================================================================
--- /gli/trunk/help/en/classifiers.htm	(revision 16649)
+++ /gli/trunk/help/en/classifiers.htm	(revision 16650)
@@ -24,5 +24,5 @@
 <p>To change the arguments for a classifier, select it from the list and click "Configure Classifier" (or double-click on the classifier in the list).</p>
 
-<p>The ordering of classifiers in the collection's navigation bar is reflected in their order here.  To change it, select the classifier you want to move and click "Move Up" and "Move Down".</p>
+<p>The ordering of classifiers in the collection's navigation bar is reflected in their order here.  To change it, select the classifier you want to move and click "Move Up" or "Move Down".</p>
 
 <p>For further information on classifiers read Chapter 2, Greenstone Developer's Guide -- Getting the most out of your documents.</p>
Index: /gli/trunk/help/en/creatingfolders.htm
===================================================================
--- /gli/trunk/help/en/creatingfolders.htm	(revision 16649)
+++ /gli/trunk/help/en/creatingfolders.htm	(revision 16650)
@@ -14,5 +14,5 @@
 <p>Use folders in the Collection file tree to group files together and make them easier to find.  Folders can be placed inside folders.  There is virtually no limit to how many folders you can have or how deeply they can be nested.</p>
 
-<p>To create a new folder, optionally select an existing folder in the Collection Tree and click the New Folder button.  The new folder appears within the selected one, or at the top level if none is selected.  You are prompted for the folder's name (default "New Folder").</p>
+<p>To create a new folder, click right in the Collection Pane (or click right on an existing folder in the Collection Tree to insert the new folder in it) and click on the New Folder option. The new folder appears within the selected one, or at the top level if none is selected. You are prompted for the folder's name (default "New Folder").</p>
 
 <p>Folders can also be created by right-clicking in the Collection Tree, or over a folder, choosing "New Folder" and proceeding as above.</p>
Index: /gli/trunk/help/en/downloadingfiles.htm
===================================================================
--- /gli/trunk/help/en/downloadingfiles.htm	(revision 16649)
+++ /gli/trunk/help/en/downloadingfiles.htm	(revision 16650)
@@ -7,5 +7,5 @@
 <table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
 <tr>
-<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="downloadingfiles"><font size="5" face="Verdana"><strong>3: Downloading Files From the Internet</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="downloadingfiles"><font size="5" face="Verdana"><strong>3: Downloading Files from the Internet</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
 </tr>
 </table>
Index: /gli/trunk/help/en/explodingfiles.htm
===================================================================
--- /gli/trunk/help/en/explodingfiles.htm	(revision 16649)
+++ /gli/trunk/help/en/explodingfiles.htm	(revision 16650)
@@ -12,5 +12,5 @@
 
 
-<p>Metadata database file types, such as MARC, CDS/ISIS, BibTex, Refer and ProCite can be imported into Greenstone but their metadata cannot be viewed or edited in the Librarian Interface. To see or edit any metadata, you need to go back to the program that created the file.</p>
+<p>Metadata database file types, such as MARC, CDS/ISIS, BibTex, Refer and ProCite, can be imported into Greenstone but their metadata cannot be IMMEDIATELY viewed or edited in the Librarian Interface. To see or edit any metadata, you can "explode" the file in the Librarian Interface and view or edit the metadata afterwards. Alternatively, particularly if you are maintaining a master external application, you can go back to the program that created the file, make your corrections, and reimport.</p>
 
 <p>"Exploding" a metadata database file splits it into individual records, with viewable and editable metadata. This process is irreversible: the original metadata file is deleted.</p>
Index: /gli/trunk/help/en/fileassociations.htm
===================================================================
--- /gli/trunk/help/en/fileassociations.htm	(revision 16649)
+++ /gli/trunk/help/en/fileassociations.htm	(revision 16650)
@@ -18,5 +18,5 @@
 <p>To edit an association, select an existing file extension.  Any existing associated command is shown in the "launch command" field.  Edit it, and then click "Replace".</p>
 
-<p>To remove an association, select an existing file extension and click "Remove". (The file extension remains in the "For Files Ending" pull-down list.)</p>
+<p>To remove an association, select an existing file extension and click "Remove".</p>
 
 <p>File associations are stored in the Librarian Interface's main folder, in a file called "associations.xml".</p>
Index: /gli/trunk/help/en/help.xml
===================================================================
--- /gli/trunk/help/en/help.xml	(revision 16649)
+++ /gli/trunk/help/en/help.xml	(revision 16650)
@@ -289,5 +289,5 @@
 <Text id="si-9">The order in which the indexes are specified in the Assigned Indexes list is the order they appear in the drop down menu on the search page. Use the <AutoText key="glidict::CDM.Move.Move_Up"/> and <AutoText key="glidict::CDM.Move.Move_Down"/> buttons to change this ordering.</Text>
 <Text id="si-10">The one that is selected by default on the search page is called the "default index". This can be set by selecting an index from the list and clicking "Set Default". The default index is tagged with "[Default Index]" in the "Assigned Indexes" list. If no default index is set, the first one in the list will be used as the default.</Text>
-<Text id="si-11">The names used for the drop-down list of indexes on the search page can be set in the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> part of the <AutoText key="glidict::GUI.Format"/> panel (see <Reference target="searchmetadatasettings"/>).</Text>
+<Text id="si-11">The names used for the drop-down list of indexes on the search page can be set in the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> panel of the <AutoText key="glidict::GUI.Format"/> view (see <Reference target="searchmetadatasettings"/>).</Text>
 <Text id="si-12">For MG and MGPP indexes, there are further options controlling how the indexes are built. Stemming and case-folding may be enabled or disabled in the indexes&mdash;if disabled, the options will not be displayed on the preferences page of the collection. Accent-folding is also available for MGPP indexes. This works in a similar way to case-folding, but instead of lower and upper case letters matching, letters with diacritics match those without.</Text>
 </Section>
@@ -324,5 +324,5 @@
 <Text id="156">Assign Languages</Text>
 </Title>
-<Text id="157">This section details how to restrict search indexes to particular languages. You do this by generating a partition using the "Assign Languages" tab of the "Partition Indexes" view.</Text>
+<Text id="157">This section details how to restrict search indexes to particular languages. You do this by generating a partition using the "Assign Languages" tab of the "Partition Indexes" panel.</Text>
 <Text id="158">To add a new language partition, use the "Assign Languages" tab to build an index for it.  Select one or more languages from the "Languages to add" list and click "Add Partition".</Text>
 <Text id="158a">To change an existing partition, select it from the "Assigned Language Partitions" list, modify the selected languages in the "Languages to add" list below, and click "Replace Partition".</Text>
@@ -364,5 +364,5 @@
 <Text id="199a">Errors in collection building</Text>
 </Title>
-<Text id="199b">Sometimes things go wrong during collection building. Maybe some files couldn't be processed: the rest of the collection builds fine, and can be previewed, but some documents are absent. Or the whole collection is not built properly, in which case a message says <AutoText key="glidict::CollectionManager.Cannot_Create_Collection"/> When this happens, it may be helpful to switch the GLI into expert mode (File->Preferences->Mode, see <Reference target="preferences"/>), set the build option "verbosity" to 5, and rebuild, to see if there are any error messages.</Text>
+<Text id="199b">Sometimes things go wrong during collection building. Maybe some files couldn't be processed: the rest of the collection builds fine, and can be previewed, but some documents are absent. Or the whole collection is not built properly, in which case a message says <AutoText key="glidict::CollectionManager.Cannot_Create_Collection"/> When this happens, it may be helpful to switch the GLI into expert mode (File->Preferences->Mode, see <Reference target="preferences"/>), set the build option "verbosity" to 5, and rebuild, to see if there are any other error messages.</Text>
 </Section>
 <Section name="expertbuilding">
@@ -402,5 +402,5 @@
 </Title>
 <Text id="fc-s2">This section explains how to set the display text for the drop down lists on the search page. Under the "Format" tab, click "Search".</Text>
-<Text id="fc-s3">This pane contains a table listing each search index. Here you can enter the text to be used for the index names in the drop-down lists on the search page. This pane only allows you to set the text for one language, the current language used by GLI. To translate these names for other languages, use the Translate Text part of the Format view (see <Reference target="translatetext"/>).</Text>
+<Text id="fc-s3">This pane contains a table listing each search index. Here you can enter the text to be used for the index names in the drop-down lists on the search page. This pane only allows you to set the text for one language, the current language used by GLI. To translate these names for other languages, use the "Translate Text" panel of the Format view (see <Reference target="translatetext"/>).</Text>
 </Section>
 <Section name="formatstatements">
@@ -429,5 +429,5 @@
 </Title>
 <Text id="162">Greenstone can search across several different collections as though they were one. This is done by specifying a list of other collections to be searched along with the current one.  Under the "Format" tab, click "Cross-Collection Search".</Text>
-<Text id="163">The Cross-Collection Search view shows a checklist of available collections.  The current collection is ticked and cannot be de-selected.  To add another collection to be searched in parallel, click it in the list (click again to remove it).  If only one collection is selected, there is no cross-collection searching.</Text>
+<Text id="163">The Cross-Collection Search panel shows a checklist of available collections. The current collection is ticked and cannot be de-selected.  To add another collection to be searched in parallel, click it in the list (click again to remove it).  If only one collection is selected, there is no cross-collection searching.</Text>
 <Text id="164">If the individual collections do not have the same indexes (including sub-collection partitions and language partitions) as each other, cross-collection searching will not work properly. The user will only be able to search using indexes common to all collections.</Text>
 <Text id="165">For further details, see Chapter 1 of the Greenstone Developer's Guide.</Text>
@@ -464,5 +464,5 @@
 <Text id="214">To add an association, select the target file extension from the pull-down list, or type in a new extension (do not include the ".").  Next either type the command that launches the desired application in the appropriate field, or choose the application from the "Browse" dialog.  "%1" can be used in the launch command to insert the name of the file being opened.  Once these are filled out, "Add" is enabled and can be clicked to add the association.</Text>
 <Text id="215">To edit an association, select an existing file extension.  Any existing associated command is shown in the "launch command" field.  Edit it, and then click "Replace".</Text>
-<Text id="216">To remove an association, select an existing file extension and click "Remove". (The file extension remains in the "For Files Ending" pull-down list.)</Text>
+<Text id="216">To remove an association, select an existing file extension and click "Remove".</Text>
 <Text id="217">File associations are stored in the Librarian Interface's main folder, in a file called "associations.xml".</Text>
 </Section>
Index: /gli/trunk/help/en/help_index.xml
===================================================================
--- /gli/trunk/help/en/help_index.xml	(revision 16649)
+++ /gli/trunk/help/en/help_index.xml	(revision 16650)
@@ -1,2 +1,2 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<Document><Section name="introduction"><Title>Introduction</Title><Section name="ofmiceandmenus"><Title>Of Mice and Menus</Title></Section><Section name="howtoavoidthisdocument"><Title>How to Avoid Reading This Document</Title></Section></Section><Section name="startingoff"><Title>Starting Off</Title><Section name="creatingacollection"><Title>Creating a New Collection</Title></Section><Section name="savingacollection"><Title>Saving the Collection</Title></Section><Section name="openingacollection"><Title>Opening an Existing Collection</Title></Section><Section name="deletingcollections"><Title>Deleting Collections</Title></Section></Section><Section name="downloadingfiles"><Title>Downloading Files From the Internet</Title><Section name="themirrorview"><Title>The Download view</Title></Section></Section><Section name="collectingfiles"><Title>Collecting Files for Your Collection</Title><Section name="thegatherview"><Title>The Gather View</Title></Section><Section name="creatingshortcuts"><Title>Creating A Shortcut in the Workspace Tree</Title></Section><Section name="creatingfolders"><Title>Creating Folders</Title></Section><Section name="addingfiles"><Title>Adding Files</Title></Section><Section name="replacingfiles"><Title>Renaming and Replacing Files</Title></Section><Section name="removingfiles"><Title>Removing Files</Title></Section><Section name="explodingfiles"><Title>"Exploding" Metadata Files</Title></Section><Section name="filteringthetree"><Title>Filtering the Trees</Title></Section></Section><Section name="enrichingacollection"><Title>Enriching Your Collection with Metadata</Title><Section name="theenrichview"><Title>The Enrich View</Title></Section><Section name="selectingmetadatasets"><Title>Selecting Metadata Sets</Title></Section><Section name="appendingmetadata"><Title>Appending New Metadata</Title></Section><Section name="addingpreviouslydefinedmetadata"><Title>Adding Previously Defined Metadata</Title></Section><Section name="updatingmetadata"><Title>Editing or Removing Metadata</Title></Section><Section name="reviewingmetadata"><Title>Reviewing Assigned Metadata</Title></Section><Section name="importingpreviouslyassignedmetadata"><Title>Importing Previously Assigned Metadata</Title></Section></Section><Section name="designingacollection"><Title>Configuring Your Collection</Title><Section name="thedesignview"><Title>The Design View</Title></Section><Section name="plugins"><Title>Document Plugins</Title></Section><Section name="searchindexes"><Title>Search Indexes</Title></Section><Section name="partitionindexes"><Title>Partition Indexes</Title><Section name="definefilters"><Title>Define Filters</Title></Section><Section name="assignpartitions"><Title>Assign Partitions</Title></Section><Section name="assignlanguages"><Title>Assign Languages</Title></Section></Section><Section name="classifiers"><Title>Browsing Classifiers</Title></Section></Section><Section name="producingthecollection"><Title>Producing Your Collection</Title><Section name="thecreateview"><Title>The Create View</Title></Section><Section name="builderrors"><Title>Errors in collection building</Title></Section><Section name="expertbuilding"><Title>Create view in Expert mode</Title></Section></Section><Section name="formattingacollection"><Title>Customizing Your Collection's Appearance</Title><Section name="theformatview"><Title>The Format View</Title></Section><Section name="generalsettings"><Title>General</Title></Section><Section name="searchmetadatasettings"><Title>Search</Title></Section><Section name="formatstatements"><Title>Format Features</Title></Section><Section name="translatetext"><Title>Translate Text</Title></Section><Section name="xcollectionsearching"><Title>Cross-Collection Search</Title></Section><Section name="collectionspecificmacros"><Title>Collection Specific Macros</Title></Section></Section><Section name="miscellaneous"><Title>Miscellaneous</Title><Section name="preferences"><Title>Preferences</Title></Section><Section name="fileassociations"><Title>File Associations</Title></Section><Section name="exporting"><Title>Exporting collections to other formats</Title></Section><Section name="exportingcollections"><Title>Exporting Collections to CD/DVD</Title></Section></Section></Document>
+<Document><Section name="introduction"><Title>Introduction</Title><Section name="ofmiceandmenus"><Title>Of Mice and Menus</Title></Section><Section name="howtoavoidthisdocument"><Title>How to Avoid Reading This Document</Title></Section></Section><Section name="startingoff"><Title>Starting Off</Title><Section name="creatingacollection"><Title>Creating a New Collection</Title></Section><Section name="savingacollection"><Title>Saving the Collection</Title></Section><Section name="openingacollection"><Title>Opening an Existing Collection</Title></Section><Section name="deletingcollections"><Title>Deleting Collections</Title></Section></Section><Section name="downloadingfiles"><Title>Downloading Files from the Internet</Title><Section name="themirrorview"><Title>The Download view</Title></Section></Section><Section name="collectingfiles"><Title>Collecting Files for Your Collection</Title><Section name="thegatherview"><Title>The Gather View</Title></Section><Section name="creatingshortcuts"><Title>Creating A Shortcut in the Workspace Tree</Title></Section><Section name="creatingfolders"><Title>Creating Folders</Title></Section><Section name="addingfiles"><Title>Adding Files</Title></Section><Section name="replacingfiles"><Title>Renaming and Replacing Files</Title></Section><Section name="removingfiles"><Title>Removing Files</Title></Section><Section name="explodingfiles"><Title>"Exploding" Metadata Files</Title></Section><Section name="filteringthetree"><Title>Filtering the Trees</Title></Section></Section><Section name="enrichingacollection"><Title>Enriching Your Collection with Metadata</Title><Section name="theenrichview"><Title>The Enrich View</Title></Section><Section name="selectingmetadatasets"><Title>Selecting Metadata Sets</Title></Section><Section name="appendingmetadata"><Title>Appending New Metadata</Title></Section><Section name="addingpreviouslydefinedmetadata"><Title>Adding Previously Defined Metadata</Title></Section><Section name="updatingmetadata"><Title>Editing or Removing Metadata</Title></Section><Section name="reviewingmetadata"><Title>Reviewing Assigned Metadata</Title></Section><Section name="importingpreviouslyassignedmetadata"><Title>Importing Previously Assigned Metadata</Title></Section></Section><Section name="designingacollection"><Title>Configuring Your Collection</Title><Section name="thedesignview"><Title>The Design View</Title></Section><Section name="plugins"><Title>Document Plugins</Title></Section><Section name="searchindexes"><Title>Search Indexes</Title></Section><Section name="partitionindexes"><Title>Partition Indexes</Title><Section name="definefilters"><Title>Define Filters</Title></Section><Section name="assignpartitions"><Title>Assign Partitions</Title></Section><Section name="assignlanguages"><Title>Assign Languages</Title></Section></Section><Section name="classifiers"><Title>Browsing Classifiers</Title></Section></Section><Section name="producingthecollection"><Title>Producing Your Collection</Title><Section name="thecreateview"><Title>The Create View</Title></Section><Section name="builderrors"><Title>Errors in collection building</Title></Section><Section name="expertbuilding"><Title>Create view in Expert mode</Title></Section></Section><Section name="formattingacollection"><Title>Customizing Your Collection's Appearance</Title><Section name="theformatview"><Title>The Format View</Title></Section><Section name="generalsettings"><Title>General</Title></Section><Section name="searchmetadatasettings"><Title>Search</Title></Section><Section name="formatstatements"><Title>Format Features</Title></Section><Section name="translatetext"><Title>Translate Text</Title></Section><Section name="xcollectionsearching"><Title>Cross-Collection Search</Title></Section><Section name="collectionspecificmacros"><Title>Collection Specific Macros</Title></Section></Section><Section name="miscellaneous"><Title>Miscellaneous</Title><Section name="preferences"><Title>Preferences</Title></Section><Section name="fileassociations"><Title>File Associations</Title></Section><Section name="exporting"><Title>Exporting collections to other formats</Title></Section><Section name="exportingcollections"><Title>Exporting Collections to CD/DVD</Title></Section></Section></Document>
Index: /gli/trunk/help/en/preferences.htm
===================================================================
--- /gli/trunk/help/en/preferences.htm	(revision 16649)
+++ /gli/trunk/help/en/preferences.htm	(revision 16650)
@@ -20,5 +20,5 @@
 <p>The "Mode" tab is used to control the level of detail within the interface. At its lowest setting, "Library Assistant", the design view is disabled, arguments requiring regular expressions are hidden and the collection building process produces a minimal log of events. In contrast the highest setting, "Expert", provides access to all of the features of design, including plugin positioning and regular expression arguments, and also allows the full output from the collection building to be recorded in the logs. To change or review modes, click the radio button next to the mode you are interested in. You can quickly review what mode you are in by looking at the Librarian Interface's title bar.</p>
 
-<p>The "Connection" tab lets you alter the path to the locally-running Greenstone library server, which is used when Previewing collections. It also lets you set proxy information for connecting to the Internet (e.g. when downloading files; see the <a href="downloadingfiles.htm">Downloading Files From the Internet</a> section for details). Check the box to enable proxy connection and supply details of the proxy host address and port number. The proxy connection is established when you close the Preferences dialog.</p>
+<p>The "Connection" tab lets you alter the path to the locally-running Greenstone library server, which is used when Previewing collections. It also lets you set proxy information for connecting to the Internet (e.g. when downloading files; see the <a href="downloadingfiles.htm">Downloading Files from the Internet</a> section for details). Check the box to enable proxy connection and supply details of the proxy host address and port number. The proxy connection is established when you close the Preferences dialog.</p>
 
 <p>During the course of a session the Librarian Interface may give warning messages which inform you of possibly unforeseen consequences of an action.  You can disable the messages by checking the "Do not show this warning again" box. You can re-enable warning messages using the "Warnings" tab.  Check the boxes next to warning messages you want to see again.</p>
Index: /gli/trunk/help/en/searchindexes.htm
===================================================================
--- /gli/trunk/help/en/searchindexes.htm	(revision 16649)
+++ /gli/trunk/help/en/searchindexes.htm	(revision 16650)
@@ -36,5 +36,5 @@
 <p>The one that is selected by default on the search page is called the "default index". This can be set by selecting an index from the list and clicking "Set Default". The default index is tagged with "[Default Index]" in the "Assigned Indexes" list. If no default index is set, the first one in the list will be used as the default.</p>
 
-<p>The names used for the drop-down list of indexes on the search page can be set in the "Search" part of the "Format" panel (see <a href="searchmetadatasettings.htm">Search</a>).</p>
+<p>The names used for the drop-down list of indexes on the search page can be set in the "Search" panel of the "Format" view (see <a href="searchmetadatasettings.htm">Search</a>).</p>
 
 <p>For MG and MGPP indexes, there are further options controlling how the indexes are built. Stemming and case-folding may be enabled or disabled in the indexes&mdash;if disabled, the options will not be displayed on the preferences page of the collection. Accent-folding is also available for MGPP indexes. This works in a similar way to case-folding, but instead of lower and upper case letters matching, letters with diacritics match those without.</p>
Index: /gli/trunk/help/en/searchmetadatasettings.htm
===================================================================
--- /gli/trunk/help/en/searchmetadatasettings.htm	(revision 16649)
+++ /gli/trunk/help/en/searchmetadatasettings.htm	(revision 16650)
@@ -14,5 +14,5 @@
 <p>This section explains how to set the display text for the drop down lists on the search page. Under the "Format" tab, click "Search".</p>
 
-<p>This pane contains a table listing each search index. Here you can enter the text to be used for the index names in the drop-down lists on the search page. This pane only allows you to set the text for one language, the current language used by GLI. To translate these names for other languages, use the Translate Text part of the Format view (see <a href="translatetext.htm">Translate Text</a>).</p>
+<p>This pane contains a table listing each search index. Here you can enter the text to be used for the index names in the drop-down lists on the search page. This pane only allows you to set the text for one language, the current language used by GLI. To translate these names for other languages, use the "Translate Text" panel of the Format view (see <a href="translatetext.htm">Translate Text</a>).</p>
 
 </body>
Index: /gli/trunk/help/en/themirrorview.htm
===================================================================
--- /gli/trunk/help/en/themirrorview.htm	(revision 16649)
+++ /gli/trunk/help/en/themirrorview.htm	(revision 16650)
@@ -23,10 +23,10 @@
 
 <p>
-<b>Z3950:</b> downloads MARC records that match a particular search criterion from a Z3950 server.</p>
+<b>Z39.50:</b> downloads MARC records that match a particular search criterion from a Z39.50 server.</p>
 
 <p>
 <b>SRW:</b> downloads MARCXML records that match a particular search criterion from an SRW server.</p>
 
-<p>Select the appropriate type by clicking it in the left hand list. The right-hand side displays the options available for the selected download type. To find out what an option does, hover the mouse over it: a tool-tip explaining the option will appear. Some options are 'optional': these are presented with a check box which must be ticked on for the option to be used. Others are 'required': these have no check box, and a value must be given before the download is carried out. </p>
+<p>Select the appropriate protocol by clicking it in the left hand list. The right-hand side displays the options available for the selected download protocol. To find out what an option does, hover the mouse over it: a tool-tip explaining the option will appear. Some options are 'optional': these are presented with a check box which must be ticked on for the option to be used. Others are 'required': these have no check box, and a value must be given before the download is carried out. </p>
 
 <p>Once the configuration is set up, click "Server Information" to check the connection to the server and view some basic information about the web page or server, or click "Download" to start the download. </p>
@@ -36,5 +36,5 @@
 <p>Files are downloaded into a folder called "Downloaded Files" (only present when downloading is enabled), and can be used in any collections.  Files are named by their full web URL (for Web downloads) or a combination of URL and option values (for other download types). A new folder is created for each host, followed by others for each part of the path. This ensures that each file is distinct.</p>
 
-<p>The download list has an entry for each download processed. Each entry has a text region that gives details of the task along with a progress bar showing current activity. Three buttons appear to the left of each entry. "Pause" is used to pause a task. "View Log" opens a window showing the download log file. "Close" terminates the download and removes the task from the list.  </p>
+<p>The download list has an entry for each download processed. Each entry has a text region that gives details of the task along with a progress bar showing current activity. Three buttons appear to the right of each entry. "Pause" is used to pause a task. "View Log" opens a window showing the download log file. "Close" terminates the download and removes the task from the list.  </p>
 
 </body>
Index: /gli/trunk/help/en/xcollectionsearching.htm
===================================================================
--- /gli/trunk/help/en/xcollectionsearching.htm	(revision 16649)
+++ /gli/trunk/help/en/xcollectionsearching.htm	(revision 16650)
@@ -14,5 +14,5 @@
 <p>Greenstone can search across several different collections as though they were one. This is done by specifying a list of other collections to be searched along with the current one.  Under the "Format" tab, click "Cross-Collection Search".</p>
 
-<p>The Cross-Collection Search view shows a checklist of available collections.  The current collection is ticked and cannot be de-selected.  To add another collection to be searched in parallel, click it in the list (click again to remove it).  If only one collection is selected, there is no cross-collection searching.</p>
+<p>The Cross-Collection Search panel shows a checklist of available collections. The current collection is ticked and cannot be de-selected.  To add another collection to be searched in parallel, click it in the list (click again to remove it).  If only one collection is selected, there is no cross-collection searching.</p>
 
 <p>If the individual collections do not have the same indexes (including sub-collection partitions and language partitions) as each other, cross-collection searching will not work properly. The user will only be able to search using indexes common to all collections.</p>