Index: gli/trunk/help/fr/searchindexes.htm
===================================================================
--- gli/trunk/help/fr/searchindexes.htm	(revision 14892)
+++ gli/trunk/help/fr/searchindexes.htm	(revision 16651)
@@ -12,31 +12,31 @@
 
 
-<p>Les index pr&eacute;cisent les parties de la collection qui peuvent &ecirc;tre recherch&eacute;es. Cette section explique comment ajouter et supprimer des index et d&eacute;finir un index par d&eacute;faut. Dans la vue "Design", cliquer sur "Search Indexes".</p>
+<p>Les index pr&eacute;cisent les parties de la collection qui peuvent &ecirc;tre recherch&eacute;es. Cette section explique comment ajouter et supprimer des index et d&eacute;finir un index par d&eacute;faut. Dans la vue "Param&eacute;trer", cliquez sur "Index de recherche".</p>
 
-<p>La partie sup&eacute;rieure droite du panneau "Search Indexes" affiche les informations sur l'index qui est actuellement utilis&eacute;e par la collection. Ceci peut &ecirc;tre modifi&eacute; en cliquant "Change...". Une fen&ecirc;tre secondaire appara&icirc;t avec la liste d'options: MG, MGPP et Lucene. Modifier ceci affecte la fa&ccedil;on dont les index sont construits, et peut affecter la fonctionnalit&eacute; de recherche.</p>
+<p>La partie en haut &agrave; droite du panneau "Index de recherche" affiche des informations sur le moteur de recherche utilis&eacute; par la collection. Ceci peut &ecirc;tre modifi&eacute; en cliquant sur "Modifier ...". Une fen&ecirc;tre secondaire appara&icirc;t avec la liste d'options : MG, MGPP et Lucene. Modifier ceci affecte la fa&ccedil;on dont les index sont construits, et peut affecter la fonctionnalit&eacute; de recherche.</p>
 
-<p>La liste "Assigned Indexes" montre quels index sont actuellement assign&eacute;s &agrave; la collection.</p>
+<p>La liste "Index attribu&eacute;s" affiche les index actuellement attribu&eacute;s &agrave; la collection.</p>
 
-<p>Pour ajouter un index, cliquez "New Index" ... Une fen&ecirc;tre secondaire appara&icirc;t avec une liste des sources, qui comprend le texte et les m&eacute;tadonn&eacute;es. S&eacute;lectionnez les sources que vous souhaitez indexer. Les  boutons "Select All" et "Select None" peuvent cochez ou d&eacute;cochez, respectivement, tous les &eacute;l&eacute;ments de la liste. Une fois un nouvel index a &eacute;t&eacute; d&eacute;fini, cliquez "Add Index" pour l'ajouter &agrave; la collection. "" ne deviendra actif une fois que les param&egrave;tres d&eacute;crivent un nouvel index, lequel n'est pas d&eacute;j&agrave; attribu&eacute; &agrave; la collection.</p>
+<p>Pour ajouter un index, cliquez sur "Nouvel index" ... Une fen&ecirc;tre secondaire appara&icirc;t avec une liste de sources qui contient le texte et les m&eacute;tadonn&eacute;es. S&eacute;lectionnez les sources que vous souhaitez indexer. Les  boutons "Tout s&eacute;lectionner" et "Ne s&eacute;lectionnez aucun" sont utilis&eacute;s pour cocher ou d&eacute;cocher tous les &eacute;l&eacute;ments de la liste. Une fois le nouvel index d&eacute;fini, cliquez sur "Ajouter index" pour l'ajouter &agrave; la collection. "Ajouter index" ne deviendra actif que si les param&egrave;tres qui d&eacute;crivent le nouvel index n&rsquo;ont pas d&eacute;j&agrave; &eacute;t&eacute; attribu&eacute;s &agrave; la collection.</p>
 
-<p>Pour les index MG, vous devez aussi choisir la granularit&eacute; de l'index en utilisant le menu"Indexing level:".</p>
+<p>Pour les index MG, vous devez aussi choisir la granularit&eacute; de l'index en utilisant le menu "Niveau d'indexation :".</p>
 
-<p>Pour un index MGPP ou Lucene, la granularit&eacute; de l'index est d&eacute;termin&eacute; globalement, et non pas par l'index. Les niveaux possibles sont affich&eacute;s sur le volet principal "Search Indexes", et peuvent &ecirc;tre ajout&eacute;s &agrave; la collection en cochant les cases &agrave; cocher.</p>
+<p>Pour un index MGPP ou Lucene, la granularit&eacute; de l'index est d&eacute;termin&eacute;e globalement, et non par l'index. Les niveaux possibles sont affich&eacute;s sur le panneau principal "Index de recherche", et peuvent &ecirc;tre ajout&eacute;s &agrave; la collection en cochant les cases correspondantes.</p>
 
-<p>Un index sp&eacute;cial est disponible pour MGPP et Lucene: un index "ToiutChamps(allfields)", qui fournit simplement une recherche combin&eacute;e sur tous les index sp&eacute;cifi&eacute;s, sans avoir &agrave; pr&eacute;ciser un index s&eacute;par&eacute; qui contient toutes les sources. Pour ajouter cet index, cochez la case  "Add combined searching over all assigned indexes (allfields)" et cliquer sur "Add Index".</p>
+<p>Un index particulier est disponible sous MGPP et Lucene : un index &laquo;tous champs&raquo;, qui donne la possibilit&eacute; d'une recherche combin&eacute;e sur tous les index sp&eacute;cifi&eacute;s, sans avoir &agrave; pr&eacute;ciser un index autre qui contiendrait tous ces &eacute;l&eacute;ments. Pour ajouter cet index, cochez la case "Ajouter une recherche combin&eacute;e sur tous les index (allfields)" et cliquez sur "Ajouter index".</p>
 
-<p>Pour MGPP et Lucene, un bouton "Add All" est &eacute;galement fourni, comme un raccourci vers l'ajout comme des index individuels de toutes les m&eacute;tadonn&eacute;es et des sources de texte.</p>
+<p>Pour MGPP et Lucene, un bouton "Ajouter tout" est &eacute;galement disponible. Il s&rsquo;agit d'un raccourci pour ajouter toutes les m&eacute;tadonn&eacute;es ainsi que le texte int&eacute;gral en tant qu'index individuels.</p>
 
-<p>Pour &eacute;diter un index, s&eacute;lectionnez-le et cliquez sur "Edit Index". Une bo&icirc;te de dialogue similaire &agrave; "New Index" est affich&eacute;e.</p>
+<p>Pour modifier un index, s&eacute;lectionnez-le et cliquez sur "Editer l'index". Une bo&icirc;te de dialogue similaire &agrave; "Nouvel index" est affich&eacute;e.</p>
 
-<p>Pour supprimer un index, s&eacute;lectionnez-le dans la liste des Index assign&eacute;s et cliquer "Remove Index".</p>
+<p>Pour supprimer un index, s&eacute;lectionnez-le dans la liste des Index attribu&eacute;s et cliquez sur "Supprimer index".</p>
 
-<p>L'ordre dans lequel les index sont sp&eacute;cifi&eacute;s dans la liste  "Index assign&eacute;s", c'est l'ordre o&ugrave; ils apparaissent dans le menu d&eacute;roulant de la page de recherche. Utilisez les boutons "Move Up" et "Move Up" pour changer cet ordre.</p>
+<p>L'ordre dans lequel les index sont sp&eacute;cifi&eacute;s dans la liste &laquo;Index attribu&eacute;s&raquo; est celui dans lequel ils apparara&icirc;tront dans la liste d&eacute;roulante de la page de recherche. Utilisez les boutons "D&eacute;placer vers le haut" et "D&eacute;placer vers le bas" pour changer cet ordre.</p>
 
-<p>Celui qui est s&eacute;lectionn&eacute; par d&eacute;faut sur la page de recherche est appel&eacute; "index par d&eacute;faut". Ceci peut &ecirc;tre d&eacute;fini en s&eacute;lectionnant un index de la liste et en cliquant sur "D&eacute;finir l'index par d&eacute;faut". L'index par d&eacute;faut est identifi&eacute; par "[Index par d&eacute;faut]" dans la liste "Index assign&eacute;s". Si aucun index n'est d&eacute;fini par d&eacute;faut, le premier index de la liste sera utilis&eacute; par d&eacute;faut.</p>
+<p>Celui qui est s&eacute;lectionn&eacute; par d&eacute;faut sur la page de recherche est appel&eacute; &laquo;index par d&eacute;faut&raquo;. Ceci peut &ecirc;tre d&eacute;fini en s&eacute;lectionnant un index de la liste et en cliquant sur &laquo;D&eacute;finir l'index par d&eacute;faut&raquo;. L'index par d&eacute;faut est identifi&eacute; par "[Index par d&eacute;faut]" dans la liste &laquo;Index attribu&eacute;s&raquo;. Si aucun index n'est d&eacute;fini par d&eacute;faut, le premier index de la liste sera utilis&eacute; par d&eacute;faut.</p>
 
-<p>Les noms pr&eacute;sent&eacute;s dans la liste d&eacute;roulante d'index sur la page de recherche peuvent &ecirc;tre d&eacute;finis dans les parties  "Search" de la vue "" (voir <a href="searchmetadatasettings.htm">Rechercher</a>).</p>
+<p>Les noms pr&eacute;sent&eacute;s dans la liste d&eacute;roulante d'index sur la page de recherche peuvent &ecirc;tre d&eacute;finis dans le panneau "Recherche" de la vue "Formater" (voir <a href="searchmetadatasettings.htm">Recherches</a>).</p>
 
-<p>Pour les index MG et MGPP, il existe d'autres possibilit&eacute;s de contr&ocirc;ler la mani&egrave;re dont les index sont construits. "Ignorer terminaisons" et "Ignorer casse" peuvent &ecirc;tre activ&eacute;s ou d&eacute;sactiv&eacute;s dans les index - si pas activ&eacute;s, les options ne seront pas affich&eacute;es sur la page des pr&eacute;f&eacute;rences de la collection. "Ignorer accents" est &eacute;galement disponible pour un index MGPP. Cela fonctionne d'une mani&egrave;re similaire &agrave; "Ignorer casse", mais au lieu de faire correspondre les lettres majuscules et miniscules, les lettres avec diacritiques correspondent &agrave; ceux sans signes diacritiques.</p>
+<p>Pour les index MG et MGPP, il existe d'autres possibilit&eacute;s de contr&ocirc;ler la mani&egrave;re dont les index sont construits. &laquo;Ignorer terminaisons&raquo; et &laquo;Ignorer casse&raquo; peuvent &ecirc;tre activ&eacute;s ou d&eacute;sactiv&eacute;s dans les index - s'ils ne sont pas activ&eacute;s, les options ne seront pas affich&eacute;es sur la page des pr&eacute;f&eacute;rences de la collection. &laquo;Ignorer accents&raquo; est &eacute;galement disponible pour un index MGPP. Cela fonctionne d'une mani&egrave;re similaire &agrave; &laquo;Ignorer casse&raquo;, mais au lieu de faire correspondre les lettres majuscules et minuscules, les lettres avec diacritiques correspondent &agrave; ceux sans signes diacritiques.</p>
 
 </body>