Index: /release-kits/mark3/ant-scripts/build.xml
===================================================================
--- /release-kits/mark3/ant-scripts/build.xml	(revision 16654)
+++ /release-kits/mark3/ant-scripts/build.xml	(revision 16655)
@@ -3,11 +3,11 @@
 <!--
 		.......................................................... 
-		February 2008
-		Linux Release Kit for Greenstone3 (lirk3)
+		July 2008
+		Mac Release Kit for Greenstone3 (mark3)
 		Oran Fry
 		..........................................................
 -->
 
-<project name="lirk3-build" default="lirk3">
+<project name="mark3-build" default="mark3">
 
 	<!-- CONSTANTS -->
@@ -22,5 +22,5 @@
 
 	<!-- for the benefit of the shared scripts, set release-kit home -->
-	<property name="rk.home" value="${lirk3.home}" />
+	<property name="rk.home" value="${mark3.home}" />
 
 
@@ -32,6 +32,24 @@
 	<import file="wrap.xml"/>
 
+	<!-- TARGET TO PERFORM ADDITIONAL PRECONDITION CHECKS -->
+	<target name="mark3-init">
+		<echo>Determining Processor...</echo>
+		<if>
+			<bool>
+				<or><equals arg1="${processor}" arg2="ppc" /><equals arg1="${processor}" arg2="intel"/></or>
+			</bool>
+
+			<echo>Processor: ${processor}</echo>
+			<echo/>
+
+			<else>
+				<echo>Processor type not set or set wrongly. Please set the property 'processor' to either 'intel' or 'ppc' in build.properties</echo>
+				<fail>Processor not set</fail>
+			</else>
+		</if>
+	</target>
+
 	<!-- THE MAIN TARGET -->
-	<target name="lirk3" depends="init">
+	<target name="mark3" depends="init,mark3-init">
 		<addressedcall target="compile"/>
 		<addressedcall target="create-distribution"/>
Index: /release-kits/mark3/ant-scripts/compile.xml
===================================================================
--- /release-kits/mark3/ant-scripts/compile.xml	(revision 16654)
+++ /release-kits/mark3/ant-scripts/compile.xml	(revision 16655)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="utf-8" ?>
-<project name="lirk3-compile" default="compile">
+<project name="mark3-compile" default="compile">
 
 
@@ -10,6 +10,6 @@
 		<!-- preparation -->
 		<addressedcall target="set-version-number-property" />
+		<addressedcall target="set-gdbm-installed-path" />
 		<addressedcall target="dist-prepare-unix" />
-		<addressedcall target="tweak-configure-scripts" />
 
 		<!-- update -->
@@ -22,5 +22,4 @@
 		<!-- build -->
 		<addressedcall target="dist-build-unix" />
-		<addressedcall target="fix-wget" />
 		<addressedcall target="linux-strip-execs" />
 
@@ -41,21 +40,26 @@
 		<if><bool><istrue value="${execute}"/></bool>
 			<rsr file="greenstone3/resources/java/global.properties.in" pattern="(.*)@gsdl3version@(.*)" replacement="$1${version}$2" />
+
 		</if>
 	</target>
 
+	<target name="set-gdbm-installed-path">
+		<if><bool><istrue value="${execute}"/></bool>
+			<rsr file="greenstone3/build.properties" pattern="(gdbm.installed.path=).*" replacement="$1${mark3.home}/mac/${processor}/gdbm"/>
+		</if>
+	</target>
+
+
+
+
 	<target name="dist-prepare-unix">
 		<if><bool><istrue value="${execute}"/></bool>
-			<ant dir="greenstone3" antfile="${lirk3.home}/ant-scripts/operations-on-gs3home.xml" target="prepare-unix"  inheritAll="false"/>
+			<ant dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" target="prepare-unix"  inheritAll="false"/>
 		</if>	
-	</target>
-	<target name="tweak-configure-scripts">
-		<addressedcall target="mgpp-add-static" />
-		<addressedcall target="mg-add-static" />
-		<addressedcall target="gs2buildextra-add-static" />
 	</target>
 
 	<target name="dist-update-unix">
 		<if><bool><istrue value="${execute}"/></bool>
-			<ant dir="greenstone3" antfile="${lirk3.home}/ant-scripts/operations-on-gs3home.xml" target="update-unix"  inheritAll="false"/>
+			<ant dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" target="update-unix"  inheritAll="false"/>
 		</if>
 	</target>
@@ -63,30 +67,30 @@
 	<target name="dist-configure-unix">
 		<if><bool><istrue value="${execute}"/></bool>
-			<exec dir="greenstone3/gs2build/gs2build-extra" executable="autoconf" output="greenstone3/gs2build/configure">
-				<arg line="configure.in"/>
-			</exec>
-			<chmod file="greenstone3/gs2build/configure" perm="+x"/>
-			<ant dir="greenstone3" antfile="${lirk3.home}/ant-scripts/operations-on-gs3home.xml" target="configure-unix" inheritAll="false"/>
+			<ant dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" target="configure-unix" inheritAll="false"/>
 		</if>
 	</target>
 
-	<target name="tweak-makefiles">
-		<addressedcall target="wv-add-static" />
-		<addressedcall target="xlhtml-add-static" />
-		<addressedcall target="ppthtml-add-static" />
-		<addressedcall target="rtftohtml-add-static" />
-		<addressedcall target="gdbm-add-static" />
-	</target>
+        <target name="tweak-makefiles">
+                <if><bool><istrue value="${execute}"/></bool>
+		       <rsr
+				file="${basedir}/greenstone3/gs2build/common-src/src/gdbmedit/db2txt/Makefile"
+				pattern="^(LIBS ?=.*)-L${mark3.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$"
+				replacement="$1${mark3.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
+
+		        <rsr
+				file="${basedir}/greenstone3/gs2build/common-src/src/gdbmedit/txt2db/Makefile"
+				pattern="^(LIBS ?=.*)-L${mark3.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$"
+				replacement="$1${mark3.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
+		        <rsr
+				file="${basedir}/greenstone3/src/packages/javagdbm/jni/Makefile"
+				pattern="^(GDBM_LIBS ?=.*)-L${mark3.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$"
+				replacement="$1${mark3.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
+
+               </if>
+        </target>
 
 	<target name="dist-build-unix">
 		<if><bool><istrue value="${execute}"/></bool>
-			<ant dir="greenstone3" antfile="${lirk3.home}/ant-scripts/operations-on-gs3home.xml" target="build-unix" inheritAll="false"/>
-		</if>
-	</target>
-
-	<target name="fix-wget">
-		<if><bool><istrue value="${execute}"/></bool>
-			<!-- fix this !!! -->
-		  <delete file="greenstone3/gs2build/packages/wget/wget-1.9/src/wget"/>
+			<ant dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" target="build-unix" inheritAll="false"/>
 		</if>
 	</target>
@@ -94,6 +98,6 @@
 	<target name="linux-strip-execs">
 		<if><bool><istrue value="${execute}"/></bool>
-			<exec dir="greenstone3/gs2build/bin/linux" executable="find">
-				<arg line="! -name . -exec strip {} &#59;"/>
+			<exec dir="greenstone3/gs2build/bin/darwin" executable="find">
+				<arg line=". ! -name . -exec strip {} &#59;"/>
 			</exec>
 		</if>
@@ -191,5 +195,4 @@
 	</target>
 
+</project>
 
-
-</project>
Index: /release-kits/mark3/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/mark3/ant-scripts/create-distribution.xml	(revision 16654)
+++ /release-kits/mark3/ant-scripts/create-distribution.xml	(revision 16655)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="utf-8" ?>
-<project name="lirk3-create-distribution" default="create-distribution">
+<project name="mark3-create-distribution" default="create-distribution">
 
 
@@ -37,5 +37,5 @@
 	<target name="dist-set-gli-version">
 		<if><bool><istrue value="${execute}"/></bool>
-			<ant antfile="${lirk3.home}/ant-scripts/shared-ant-scripts/operations-on-gli.xml" dir="${basedir}/distribution/greenstone3/gli" target="set-version-numbers"/>
+			<ant antfile="${mark3.home}/ant-scripts/shared-ant-scripts/operations-on-gli.xml" dir="${basedir}/distribution/greenstone3/gli" target="set-version-numbers"/>
 		</if>
 	</target>
@@ -44,5 +44,5 @@
 	<target name="create-distributions-1">
 		<if><bool><istrue value="${execute}"/></bool>
-			<ant antfile="${lirk3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" target="create-distribution-1" inheritAll="false">
+			<ant antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" target="create-distribution-1" inheritAll="false">
 				<property name="app.version" value="${version}"/>
 				<property name="branch.path" value="${branch.path}"/>
@@ -53,5 +53,5 @@
 	<target name="create-distributions-2">
 		<if><bool><istrue value="${execute}"/></bool>
-			<ant antfile="${lirk3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" target="create-distribution-2"  inheritAll="false">
+			<ant antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" target="create-distribution-2"  inheritAll="false">
 				<property name="app.version" value="${version}"/>
 				<property name="branch.path" value="${branch.path}"/>
@@ -62,5 +62,5 @@
 	<target name="create-distributions-3">
 		<if><bool><istrue value="${execute}"/></bool>
-			<ant antfile="${lirk3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" target="create-distribution-3"  inheritall="false">
+			<ant antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" target="create-distribution-3"  inheritall="false">
 				<property name="app.version" value="${version}"/>
 				<property name="branch.path" value="${branch.path}"/>
Index: /release-kits/mark3/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/mark3/ant-scripts/create-installer.xml	(revision 16654)
+++ /release-kits/mark3/ant-scripts/create-installer.xml	(revision 16655)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="utf-8" ?>
-<project name="lirk3-create-installer" default="create-installer">
+<project name="mark3-create-installer" default="create-installer">
 
 	<target name="create-installer">
@@ -21,9 +21,9 @@
 			<echo>Getting things ready to compile the installer</echo>
 			<mkdir dir="${basedir}/installer/resources"/>
-			<copy todir="${basedir}/installer" file="${lirk3.home}/installer/antinstall-config.xml" overwrite="true" />
-			<copy todir="${basedir}/installer" file="${lirk3.home}/installer/build.xml" overwrite="true" />
+			<copy todir="${basedir}/installer" file="${mark3.home}/installer/antinstall-config.xml" overwrite="true" />
+			<copy todir="${basedir}/installer" file="${mark3.home}/installer/build.xml" overwrite="true" />
 			<copy todir="${basedir}/installer/classes" overwrite="true">
-				<fileset dir="${lirk3.home}/greenstone3/installer-classes"/>
-				<fileset dir="${lirk3.home}/ant-scripts/tasks/orans" includes="RegexSearchReplace.class" />
+				<fileset dir="${mark3.home}/greenstone3/installer-classes"/>
+				<fileset dir="${mark3.home}/ant-scripts/tasks/orans" includes="RegexSearchReplace.class" />
 			</copy>
 
@@ -60,11 +60,11 @@
 		<if><bool><istrue value="${execute}"/></bool>
 
-			<installer file="${basedir}/installer/greenstone3-with-java.jar"
+			<installer file="${basedir}/installer/Greenstone-${version}-MacOS-${processor}.jar"
 					compress="true"
 					extractType="NonExtractor"
 					installConfig="${basedir}/installer/antinstall-config.xml"
 					buildFile="${basedir}/installer/build.xml"
-					antInstallLib="${lirk3.home}/packages/ant-installer/lib"
-					antLib="${lirk3.home}/packages/ant/lib"
+					antInstallLib="${mark3.home}/packages/ant-installer/lib"
+					antLib="${mark3.home}/packages/ant/lib"
 					validateConfig="true"
 					failOnError="false"
@@ -76,21 +76,4 @@
 
 			</installer>
-
-			<!-- delete the 'bundled java only' lines from the installer config -->
-			<rsr file="${basedir}/installer/antinstall-config.xml" pattern=".*&lt;!-- bundled java only --&gt;" replacement=""/>
-
-			<installer file="${basedir}/installer/greenstone3.jar"
-					compress="true"
-					extractType="NonExtractor"
-					installConfig="${basedir}/installer/antinstall-config.xml"
-					buildFile="${basedir}/installer/build.xml"
-					antInstallLib="${lirk3.home}/packages/ant-installer/lib"
-					antLib="${lirk3.home}/packages/ant/lib"
-					validateConfig="true"
-					icons="bluecurve">
-
-				<zipfileset dir="${basedir}/installer/classes" includes="**/*"/>
-				<zipfileset dir="${basedir}/distribution/greenstone3" includes="**/*"/>
-			</installer>
 		</if>
 	</target>
Index: /release-kits/mark3/ant-scripts/operations-on-gs3home.xml
===================================================================
--- /release-kits/mark3/ant-scripts/operations-on-gs3home.xml	(revision 16654)
+++ /release-kits/mark3/ant-scripts/operations-on-gs3home.xml	(revision 16655)
@@ -28,5 +28,4 @@
 	<target name="update-unix" depends="init">
 		<antcall target="svnupdate-distribution"/>
-		<antcall target="rename-gs2build-files-unix"/>
 		<antcall target="delete-windows-files"/>
 	</target>
@@ -47,14 +46,5 @@
 		<antcall target="checkout-gs2build"/>
 
-		<!--
-		gli is now checked out by create-distribution.xml
-		so it already exists
-		<antcall target="checkout-gli"/>
-		-->
-
 		<delete><fileset dir="." includes="*.bat"/></delete>
-		<!--<delete file="${gli.home}/gli.sh"/>-->
-		<delete file="${gli.home}/gems.sh"/>
-		<antcall target="rename-gs2build-files-dist"/>    
 		<delete dir="${gs2build.home}/gs2build-extra"/>
 
@@ -82,8 +72,4 @@
 		<delete file="${basedir}/README-CVS.txt"/>
 		<delete file="${basedir}/TODO.txt"/>
-
-		<!-- make the extra directories needed for a release -->
-		<!--<mkdir dir="${basedir}/Linux/lib/jni"/>
-		<mkdir dir="${gs2build.home}/Unix/bin/linux"/>-->
 
 	</target>
@@ -127,5 +113,5 @@
 		<delete dir="${basedir}/gs2build/source"/>
 
-		<delete file="${basedir}/gs2build/WIN32cfg.h"/>
+		<delete file="${basedir}/gs2build/win32cfg.h"/>
 		<delete file="${basedir}/gs2build/win32.mak"/>
 
@@ -142,17 +128,11 @@
 
 	<target name="run-xslt-binary" depends="init">
-		<xslt in="${basedir}/build.xml" out="${basedir}/modified-build.xml" style="${lirk3.home}/greenstone3/xsl/convert-build-xml.xsl"/>
+		<xslt in="${basedir}/build.xml" out="${basedir}/modified-build.xml" style="${mark3.home}/greenstone3/xsl/convert-build-xml.xsl"/>
 	</target>
 
 	<target name="run-xslt-source" depends="init">
-		<xslt in="${basedir}/build.xml" out="${basedir}/modified-build.xml" style="${lirk3.home}/greenstone3/xsl/convert-build-xml-source.xsl"/>
+		<xslt in="${basedir}/build.xml" out="${basedir}/modified-build.xml" style="${mark3.home}/greenstone3/xsl/convert-build-xml-source.xsl"/>
 	</target>
   
-	<target name="rename-gs2build-files-dist" depends="init,rename-gs2build-files-unix">
-		<copy file="${gs2build-extra.home}/lib.win32.mak" tofile="${gs2build.home}/lib/win32.mak"/>
-		<copy file="${gs2build-extra.home}/win32.mak" tofile="${gs2build.home}/win32.mak"/>
-		<copy file="${gs2build-extra.home}/setup.bat" tofile="${gs2build.home}/setup.bat"/>
-	</target>   
-
   <target name="configure-packages-and-indexers" depends="init">
     <exec executable="${indexers.home}/configure"
@@ -185,4 +165,5 @@
     
     <!-- javagdbm -->
+    <!-- skip compile, just get compiled jar from /greenstone3 directory
     <exec executable="make" os="${os.unix}"
       dir="${javagdbm.home}">
@@ -193,6 +174,8 @@
       <arg value="installjava"/>
     </exec>
+    -->
+
     <!-- install the jar file -->
-    <copy file="${javagdbm.home}/javagdbm.jar" todir="${lib.jni}"/>
+    <copy file="../../greenstone3/src/packages/javagdbm/javagdbm.jar" todir="${lib.jni}"/>
 
   </target>
Index: /release-kits/mark3/ant-scripts/wrap.xml
===================================================================
--- /release-kits/mark3/ant-scripts/wrap.xml	(revision 16654)
+++ /release-kits/mark3/ant-scripts/wrap.xml	(revision 16655)
@@ -1,97 +1,37 @@
 <?xml version="1.0" encoding="utf-8" ?>
-<project name="lirk3-wrap" default="wrap">
+<project name="mark3-wrap" default="wrap">
 
 	<target name="wrap">
-		<addressedcall target="setup-for-wrapping"/>
-		<addressedcall target="compile-wrapper"/>
-	</target>
-
-	<target name="setup-for-wrapping">
 		<if><bool><istrue value="${execute}"/></bool>
 
 			<!-- create and setup the build directory -->
-			<mkdir dir="${basedir}/wrapped-installer/build"/>
-			<copy todir="${basedir}/wrapped-installer/build" file="${lirk3.home}/linux/wrapper.cpp" overwrite="true" />
-			<copy todir="${basedir}/wrapped-installer/build" file="${lirk3.home}/packages/search4j/libsearch4j.cpp" overwrite="true" />
-			<copy todir="${basedir}/wrapped-installer/build" file="${lirk3.home}/packages/search4j/libsearch4j.h" overwrite="true" />
+			<delete dir="${basedir}/wrapped-installer"/>
+			<mkdir dir="${basedir}/wrapped-installer"/>
+			<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app"><fileset dir="${mark3.home}/mac/Wrapper.app"/></copy>
+			<chmod file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/MacOS/JavaApplicationStub" perm="ug+x"/>
 
 			<!-- copy bundled files -->
-			<copy todir="${basedir}/wrapped-installer/build" file="${lirk3.home}/linux/${linux-java.installer}"/>
-			<copy todir="${basedir}/wrapped-installer/build" file="${basedir}/installer/greenstone3.jar"/>
-			<copy todir="${basedir}/wrapped-installer/build" file="${basedir}/installer/greenstone3-with-java.jar"/>
+			<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Resources/Java" file="${basedir}/installer/Greenstone-${version}-MacOS-${processor}.jar"/>
 
-			<!-- substitute the real java installer filename and min version into various files -->
-			<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.installer@" replacement="${linux-java.installer}"/>
-			<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@installer.name@" replacement="greenstone3"/>
-			<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.extracted@" replacement="${linux-java.extracted}"/>
-			<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.min.version@" replacement="${java.min.version}"/>
+			<!-- substitute in real values -->
+			<rsr file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Info.plist" pattern="@jar@" replacement="Greenstone-${version}-MacOS-${processor}.jar"/>
+			<rsr file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Info.plist" pattern="@version@" replacement="${version}"/>
 
-		</if>
-	</target>
+                        <!-- get size of app -->
+                        <exec executable="du" dir="${basedir}/wrapped-installer" outputproperty="app.du"><arg line="-ks Greenstone${version}.app"/></exec>
+			<echo>app.du: ${app.du}</echo>
+                        <exec executable="sed" inputstring="${app.du}" outputproperty="app.size"><arg line="-e 's/^\([0-9]*\).*$/\1/g'"/></exec>
+			<echo>app.size: ${app.size}</echo>
+			<math result="dmg.size" operand1="${app.size}" operation="+" operand2="2048" datatype="int"/>
+			<echo>dmg.size: ${dmg.size}</echo>
 
-	<target name="compile-wrapper">
-		<if><bool><istrue value="${execute}"/></bool>
-
-			<echo level="info">create an object file (extension .o) for each file to bundle</echo>
-			<exec executable="/usr/bin/objcopy" dir="${basedir}/wrapped-installer/build">
-				<arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_greenstone3_jar_start=greenstone3jar --readonly-text greenstone3.jar greenstone3.jar.o"/>
-			</exec>
-			<exec executable="/usr/bin/objcopy" dir="${basedir}/wrapped-installer/build">
-				<arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_greenstone3_with_java_jar_start=greenstone3jar --readonly-text greenstone3-with-java.jar greenstone3-with-java.jar.o"/>
-			</exec>
-			<exec executable="/usr/bin/objcopy" dir="${basedir}/wrapped-installer/build">
-				<arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_${linux-java.installer}_start=java --readonly-text ${linux-java.installer} java.o"/>
-			</exec>
-
-
-			<!-- get size of greenstone.jar -->
-			<exec executable="ls" dir="${basedir}/wrapped-installer/build" outputproperty="greenstone3.jar.ls"><arg line="-l greenstone3.jar"/></exec>
-			<exec executable="sed" inputstring="${greenstone3.jar.ls}" outputproperty="greenstone3.jar.size"><arg line="-e 's/^[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *\([0-9]*\).*$/\1/g'"/></exec>
-
-			<!-- get size of greenstone-with-java.jar -->
-			<exec executable="ls" dir="${basedir}/wrapped-installer/build" outputproperty="greenstone3-with-java.jar.ls"><arg line="-l greenstone3-with-java.jar"/></exec>
-			<exec executable="sed" inputstring="${greenstone3-with-java.jar.ls}" outputproperty="greenstone3-with-java.jar.size"><arg line="-e 's/^[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *\([0-9]*\).*$/\1/g'"/></exec>
-
-			<!-- get size of java -->
-			<exec executable="ls" dir="${basedir}/wrapped-installer/build" outputproperty="java.ls"><arg line="-l ${linux-java.installer}"/></exec>
-			<exec executable="sed" inputstring="${java.ls}" outputproperty="java.size"><arg line="-e 's/^[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *\([0-9]*\).*$/\1/g'"/></exec>
-
-
-			<echo level="info">creating the header file for no java version</echo>
-			<delete file="wrapper.h"/>
-			<exec executable="echo" output="${basedir}/wrapped-installer/build/wrapper.h"><arg line="extern const char greenstone3jar[${greenstone3.jar.size}];"/></exec>
-
-			<echo level="info">compile the wrapper program</echo>
-			<exec executable="g++" dir="${basedir}/wrapped-installer/build">
-				<arg line="-Wall -static -static-libgcc -c -o wrapper.o wrapper.cpp"/>
-			</exec>
-
-			<echo level="info">compile libsearch4j</echo>
-			<exec executable="g++" dir="${basedir}/wrapped-installer/build">
-				<arg line="-Wall -static -static-libgcc -c -o libsearch4j.o libsearch4j.cpp"/>
-			</exec>
-
-			<echo level="info">link, bundling the files to be bundled</echo>
-			<exec executable="g++" dir="${basedir}/wrapped-installer/build">
-				<arg line="-static -static-libgcc -o  ../greenstone-${version}-linux.bin wrapper.o libsearch4j.o greenstone3.jar.o"/>
-			</exec>
-
-
-			<echo level="info">creating the header file for bundled java version</echo>
-			<delete file="wrapper.h"/>
-			<exec executable="echo" output="${basedir}/wrapped-installer/build/wrapper.h"><arg line="extern const char greenstone3jar[${greenstone3-with-java.jar.size}];"/></exec>
-			<exec executable="echo" output="${basedir}/wrapped-installer/build/wrapper.h" append="true"><arg line="extern const char java[${java.size}];"/></exec>
-			<exec executable="echo" output="${basedir}/wrapped-installer/build/wrapper.h" append="true"><arg line="#define java_is_bundled yes"/></exec>
-
-			<echo level="info">recompile the wrapper program</echo>
-			<exec executable="g++" dir="${basedir}/wrapped-installer/build">
-				<arg line="-Wall -static -static-libgcc -c -o wrapper.o wrapper.cpp"/>
-			</exec>
-
-			<echo level="info">relink, bundling the files to be bundled</echo>
-			<exec executable="g++" dir="${basedir}/wrapped-installer/build">
-				<arg line="-static -static-libgcc -o  ../greenstone-${version}-linux-with-java.bin wrapper.o libsearch4j.o greenstone3-with-java.jar.o java.o"/>
-			</exec>
-
+			<!-- create disk image -->
+			<exec dir="${basedir}/wrapped-installer" executable="hdiutil"><arg line="create -size ${dmg.size}k -fs HFS+ -volname Greenstone${version} Greenstone${version}.dmg"/></exec>
+			<!-- mount it -->
+			<exec executable="hdiutil" dir="${basedir}/wrapped-installer"><arg line="attach Greenstone${version}.dmg"/></exec>
+			<!-- copy file into it -->
+			<exec executable="cp" dir="${basedir}/wrapped-installer"><arg line="-r Greenstone${version}.app /Volumes/Greenstone${version}"/></exec>
+			<!-- unmount it-->
+			<exec executable="hdiutil" dir="${basedir}/wrapped-installer"><arg line="detach /Volumes/Greenstone${version}"/></exec>
 		</if>
 	</target>
Index: lease-kits/mark3/bin/lirk3
===================================================================
--- /release-kits/mark3/bin/lirk3	(revision 16654)
+++ 	(revision )
@@ -1,94 +1,0 @@
-function show_help {
-	echo "lirk3 - the LInux Release Kit for greenstone3"
-	echo "Helps you to create releases of Greenstone3 from the Repository"
-	echo
-	echo "usage: lirk3 [-sim] [-from <target>] [other-args]"
-	echo "	-sim"
-	echo "		(shortcut for -Dexecute=false)"
-	echo "		simulation only, don't actually do anything"
-	echo
-	echo "	-from <target>"
-	echo "		(shortcut for -Dresume.from=<target>)"
-	echo "		start execution from the target with the given target address"
-	echo "		first level targets can be referred to by name. E.g., -from compile is the same as -from 1"
-	echo
-	echo "	-descend"
-	echo "		(shortcut for -Dresume.mode=descend)"
-	echo "		execute only the descendents of the target specified with -from"
-	echo "		for example, with -from 3 -descend, targets 3.1, 3.2, 3.3 etc. would be executed, but execution
-	echo "		would stop before target 4
-	echo
-	echo "	-cp"
-	echo "		show the classpath being used by LiRK3"
-	echo "		(like `ant --diagnostics`)"
-	
-}
-
-#work out the classpath
-CLASSPATH=$JAVA_HOME/lib/tools.jar
-for file in $LIRK3_HOME/lib/*.jar; do
-	CLASSPATH=$CLASSPATH:$file
-done
-for file in $LIRK3_HOME/packages/ant/lib/*.jar; do
-	CLASSPATH=$CLASSPATH:$file
-done
-for file in $LIRK3_HOME/packages/ant-installer/lib/*.jar; do
-	CLASSPATH=$CLASSPATH:$file
-done
-CLASSPATH=$CLASSPATH:$LIRK3_HOME/packages/ant-installer/classes
-
-
-#create the command
-toexec="$LIRK3_HOME/packages/ant/bin/ant -lib `pwd`/installer/classes -f $LIRK3_HOME/ant-scripts/build.xml -Dbasedir=`pwd` -Dlirk3.home=$LIRK3_HOME"
-
-#pass on the arguments
-while [ "$1" != "" ]; do
-
-	if [ "$1" == "-help" ]; then
-		show_help
-		exit
-
-	elif [ "$1" == "-cp" ]; then
-		echo $CLASSPATH
-		exit
-
-	elif [ "$1" == "-sim" ]; then
-		toexec="$toexec -Dexecute=false"
-		shift
-
-	elif [ "$1" == "-descend" ]; then
-		toexec="$toexec -Dresume.mode=descend"
-		shift
-
-	elif [ "$1" == "-from" ]; then
-
-		toexec="$toexec -Dresume.from="
-		from=`echo $2 | sed 's/compile/1/g' | sed 's/create-distributions/2/g' | sed 's/create-installer/3/g' | sed 's/wrap/4/g'`
-		toexec=$toexec$from
-		shift 2
-
-	elif [ "$1" == "-to" ]; then
-
-		toexec="$toexec -Dresume.to="
-		to=`echo $2 | sed 's/compile/1/g' | sed 's/create-distributions/2/g' | sed 's/create-installer/3/g' | sed 's/wrap/4/g'`
-		toexec=$toexec$to
-		shift 2
-
-
-	else
-		toexec="$toexec $1"
-		shift
-	fi
-
-done
-
-#echo $toexec
-echo "O---------------------------------------O"
-echo "|                                       |"
-echo "|   LiRK3                               |"
-echo "|   Linux Release Kit for Greenstone3   |"
-echo "|                                       |"
-echo "O---------------------------------------O"
-echo "Basedir  : `pwd`"
-
-$toexec
Index: /release-kits/mark3/bin/mark3
===================================================================
--- /release-kits/mark3/bin/mark3	(revision 16655)
+++ /release-kits/mark3/bin/mark3	(revision 16655)
@@ -0,0 +1,14 @@
+rk_name="mark3"
+rk_fullname="Mac Release Kit for Greenstone3"
+RK_HOME=$MARK3_HOME
+source $MARK3_HOME/linux/rk
+
+echo "O---------------------------------------O"
+echo "|                                       |"
+echo "|   Mark3                               |"
+echo "|   Mac Release Kit for Greenstone3     |"
+echo "|                                       |"
+echo "O---------------------------------------O"
+
+$toexec
+
Index: /release-kits/mark3/installer/antinstall-config.xml
===================================================================
--- /release-kits/mark3/installer/antinstall-config.xml	(revision 16654)
+++ /release-kits/mark3/installer/antinstall-config.xml	(revision 16655)
@@ -36,5 +36,4 @@
 
 		<target target="install-core-components" 	diskRequirement="50Mb"							defaultValue="true"	displayText="" force="true" />
-		<target target="install-java" 				diskRequirement="@component.size.java@"	defaultValue="true"	displayText="" /> <!-- bundled java only -->
 		<target target="install-tomcat"				diskRequirement="@component.size.tomcat@"	defaultValue="true"	displayText="" />
 		<target target="install-ant"					diskRequirement="@component.size.ant@"		defaultValue="true"	displayText="" />