Index: /release-kits/shared/ant-scripts/init.xml
===================================================================
--- /release-kits/shared/ant-scripts/init.xml	(revision 16680)
+++ /release-kits/shared/ant-scripts/init.xml	(revision 16681)
@@ -21,4 +21,9 @@
 	<property name="basedir.local" refid="basedir.path"/>
 
+	<!-- current date and time -->
+	<tstamp>
+		<format property="current.month" pattern="MMM"/>
+		<format property="current.year" pattern="yyyy"/>
+	</tstamp>
 	
 	<!-- BUNDLED JAVA INFO -->
@@ -29,9 +34,9 @@
 	<property name="linux-java.installer" value="jre_6u5_tar_gz"/>
 	<property name="linux-java.extracted" value="jre1.6.0_05"/> <!-- set this to the name of the top level directory in the above archive -->
-	<property name="component.size.linux-java" value="97Mb"/>
+	<property name="component.size.linux-java" value="97 MB"/>
 	<!-- windows -->
 	<property name="bundled.version.windows-java" value="1.6.0_03"/>
 	<property name="windows-java.installer" value="jre-6u3-windows-i586-p-s.exe"/>
-	<property name="component.size.windows-java" value="?Mb"/>
+	<property name="component.size.windows-java" value="? MB"/>
 	
 	<!-- CLASSPATH -->
@@ -63,5 +68,4 @@
 	<taskdef name="setloglevel" classname="SetLogLevel" classpathref="project.classpath"/>
 	<taskdef name="math" classname="ise.antelope.tasks.MathTask" classpathref="project.classpath"/>
-	<typedef name="addressedcall" classname="TreeCallTarget" classpathref="project.classpath"/>
 	<typedef name="rsr" classname="RegexSearchReplace" classpathref="project.classpath"/>
 	<typedef name="rsplit" classname="SplitResource" classpathref="project.classpath"/>
@@ -70,5 +74,4 @@
 
 	<!-- DATES IN DIFFERENT LANGUAGES -->
-	<!-- relies on ${current.month} being set by the release kits build.xml file -->
 	<get-property-value propertiesFile="${rk.home}/lib/dates.properties" propertyName="ar.Dates.${current.month}" outputProperty="month.ar"/>
 	<get-property-value propertiesFile="${rk.home}/lib/dates.properties" propertyName="ca.Dates.${current.month}" outputProperty="month.ca"/>
@@ -103,5 +106,4 @@
 
 		<!-- version number -->
-		<echo level="info">Version number...</echo>
 		<if>
 			<bool>
@@ -110,53 +112,13 @@
 			<fail>Version number not set</fail>
 		</if>
-
-		<echo level="info">Version number: ${version}</echo>
 		<property name="app.version" value="${version}"/>
-		<echo level="info"/>
-
-
-		<!-- resume from -->
-		<echo level="info">Checking if we are resuming from a given target...</echo>
-		<if>
-			<bool><not><isset property="resume.from"/></not></bool>
-			<echo level="info">No, start from the beginning</echo>
-			<else>
-				<echo level="info">Yes, resuming from ${resume.from}</echo>
-			</else>
-		</if>
-		<echo level="info"/>
-
-		<!-- check resume to -->
-		<echo level="info">Checking if we are resuming up to a given target...</echo>
-		<if>
-			<bool><not><isset property="resume.to"/></not></bool>
-			<echo level="info">No, stop at the end</echo>
-			<else>
-				<echo level="info">Yes, resuming from ${resume.to}</echo>
-			</else>
-		</if>
-		<echo level="info"/>
-
-		<!-- check descend down -->
-		<echo level="info">Checking if we are descending a given target...</echo>
-		<if>
-			<bool><not><isset property="resume.descend"/></not></bool>
-			<echo level="info">No, execute the whole tree</echo>
-			<else>
-				<echo level="info">Yes, descending down ${resume.descend}</echo>
-			</else>
-		</if>
-		<echo level="info"/>
 
 		<!-- execute target code or just show the tree -->
-		<echo level="info">Determining execute mode...</echo>
 		<if>
 			<bool>
 				<not><isset property="execute"/></not>
 			</bool>
-			<echo level="info">Execute not set, defaulting to 'true'</echo>
 			<property name="execute" value="true"/>
 			<else>
-				<echo level="info">Execute set to ${execute}</echo>
 				<if>
 					<bool>
@@ -172,20 +134,22 @@
 			</else>
 		</if>
-		<echo level="info"/>
 
-
-		<!-- check branch.path -->
-		<echo level="info">Determining the branch path...</echo>
-		<if>
-			<bool><equals arg1="trunk" arg2="${version}"/></bool>
-			<property name="branch.path" value="trunk"/>
+		<!-- show important properties -->
+		<echo level="info">Version (version): ${version}</echo>
+		<echo level="info">Branch Path (branch.path): ${branch.path}</echo>
+		<echo level="info">Current Month (current.month): ${current.month}</echo>
+		<echo level="info">Current Year (current.year): ${current.year}</echo>
+		<if><bool><equals arg1="${execute}" arg2="false"/></bool>
+			<echo level="info">Simulating (execute=false)</echo>
 		</if>
-
-		<if>
-			<bool><not><isset property="branch.path"/></not></bool>
-			<fail>You have not specified a branch path where code will come from in the repository</fail>
+		<if><bool><isset property="resume.from" /></bool>
+			<echo level="info">Resuming from (resume.from): ${resume.from} </echo>
 		</if>
-
-		<echo level="info">Branch Path: ${branch.path}</echo>
+		<if><bool><isset property="resume.to" /></bool>
+			<echo level="info">Executing up to (resume.to): ${resume.to}</echo>
+		</if>
+		<if><bool><isset property="resume.descend" /></bool>
+			<echo level="info">Descending target (resume.descend): ${resume.descend}</echo>
+		</if>
 		<echo level="info"/>
 