Index: /extensions/gsdl-amp/trunk/CASCADE-MAKE.sh
===================================================================
--- /extensions/gsdl-amp/trunk/CASCADE-MAKE.sh	(revision 16683)
+++ /extensions/gsdl-amp/trunk/CASCADE-MAKE.sh	(revision 16683)
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+cd lib ; source cascade-lib.bash; cd ..
+
+for d in packages ; do
+  echo "Running $d/CASCADE-MAKE.sh"
+
+  (cd $d ; ./CASCADE-MAKE.sh $*)
+
+  if [ $? != 0 ] ; then
+    echo "Error encountered running $d/CASCADE-MAKE.sh"
+    exit 1
+  fi
+done
+
+
Index: /extensions/gsdl-amp/trunk/bin/script/test-setup.bash
===================================================================
--- /extensions/gsdl-amp/trunk/bin/script/test-setup.bash	(revision 16683)
+++ /extensions/gsdl-amp/trunk/bin/script/test-setup.bash	(revision 16683)
@@ -0,0 +1,6 @@
+
+if [ "x$GEXTAMP" = "x" ] ; then
+  echo "Apache-MySql-Php extension environment variable GEXTAMP not set."
+  echo "Have you sourced the extension's setup file, e.g. setup.bash?"
+  exit -1
+fi
Index: /extensions/gsdl-amp/trunk/lib/cascade-lib.bash
===================================================================
--- /extensions/gsdl-amp/trunk/lib/cascade-lib.bash	(revision 16683)
+++ /extensions/gsdl-amp/trunk/lib/cascade-lib.bash	(revision 16683)
@@ -0,0 +1,181 @@
+
+run_untar()
+{
+  local package=$1
+  local version=$2
+  local ext=$3
+
+  tar_args="";
+
+  if [ $ext = ".tar.gz" ] ; then
+    tar_args="xvzf"
+  elif [ $ext = ".tgz" ] ; then
+    tar_args="xvzf"
+  elif [ $ext = ".tar.bz2" ] ; then
+    tar_args="xvjf"
+  elif [ $ext = ".tar.bz" ] ; then
+    tar_args="xvjf"
+  elif [ $ext = ".tar" ] ; then
+    tar_args="xvf"
+  else 
+    echo "Warning: Unrecognized extension: $ext"
+    echo "Assuming tarred, gzipped file"
+    tar_args="xvjf"
+  fi
+
+
+  echo tar $tar_args $package$version$ext 
+  tar $tar_args $package$version$ext
+
+  if [ $? != 0 ] ; then
+    echo "      Error encountered running *untar* stage of $progname"
+    exit 1
+  fi
+}
+
+opt_run_tarclean()
+{
+  local type=$1
+  local package=$2
+  local version=$3
+
+  if [ $type = "1" ] ; then
+
+    local dir=$package$version
+    if [ -d $dir ] ; then
+      echo /bin/rm -rf $dir
+      /bin/rm -rf $dir
+
+      if [ $? != 0 ] ; then
+        echo "      Error encountered running *tarclean* stage of $progname"
+        exit 1
+      fi
+    else 
+      echo "Unable to find directory $dir"
+    fi
+  fi
+}
+
+opt_run_untar()
+{
+  local force_untar=$1
+  local auto_untar=$2
+  local package=$3
+  local version=$4
+
+  local ext="";
+
+  if [ ! -z "$5" ] ; then
+    ext=$5
+  else 
+    ext=".tar.gz"
+  fi
+
+  if [ $force_untar = "1" ] ; then
+    run_untar $package $version $ext
+  elif [ $auto_config = "1" ] ; then
+    if [ -d $package$version ] ; then
+      echo "Found untarred version of $package$version$ext => no need to untar"
+    else
+      run_untar $package $version $ext
+    fi
+  fi
+}
+
+
+opt_run_configure()
+{
+  local force_config=$1
+  local auto_config=$2
+  local package=$3
+  local version=$4
+  local prefix=$5
+  local opt_args="";
+
+  if [ ! -z "$6" ] ; then
+    opt_args=$6
+  fi
+
+  if [ $force_config = "1" ] ; then
+    echo "[pushd $package$version]"
+    ( cd $package$version ; \
+      echo ./configure --prefix="$prefix" $opt_args ; \
+      ./configure --prefix="$prefix" $opt_args )
+    if [ $? != 0 ] ; then
+        echo "      Error encountered running *configure* stage of $progname"
+        exit 1
+    fi
+    echo "[popd]"
+  else
+    if [ $auto_config = "1" ] ; then
+      echo "Found top-level for ${progname%.*} => no need to run ./configure"
+    fi
+  fi
+}
+
+
+opt_run_make()
+{
+  local type=$1
+  local package=$2
+  local version=$3
+  local opt_target=""
+
+  if [ ! -z "$4" ] ; then
+    opt_target=$4
+  fi
+
+  if [ $type = "1" ] ; then
+    ( cd $package$version ; \
+      make $opt_target)
+
+    if [ $? != 0 ] ; then
+        echo "      Error encountered running *make $target* stage of $progname"
+        exit 1
+    fi
+  fi
+}
+
+
+
+force_untar=0
+auto_untar=0
+
+force_config=0
+auto_config=0
+
+compile=0
+install=0
+clean=0
+distclean=0
+tarclean=0
+
+if [ $# -gt 0 ] ; then
+  for cmd in $* ; do
+    echo $cmd
+    if   [ $cmd = "untar" ] ;     then force_untar=1
+    elif [ $cmd = "configure" ] ; then force_config=1
+    elif [ $cmd = "compile" ]   ; then compile=1
+    elif [ $cmd = "install" ]   ; then install=1  
+    elif [ $cmd = "clean" ]     ; then clean=1  
+    elif [ $cmd = "distclean" ] ; then distclean=1
+    elif [ $cmd = "tarclean" ] ;  then tarclean=1
+    fi
+  done
+else
+  # defaults
+  auto_untar=1
+  auto_config=1
+  compile=1
+  install=1
+  clean=0
+  distclean=0
+  tarclean=0
+fi
+
+if [ $auto_config = "1" ] ; then
+  if [ ! -e $package$version/Makefile ] ; then
+    force_config=1
+  fi
+fi
+
Index: /extensions/gsdl-amp/trunk/packages/CASCADE-MAKE.sh
===================================================================
--- /extensions/gsdl-amp/trunk/packages/CASCADE-MAKE.sh	(revision 16683)
+++ /extensions/gsdl-amp/trunk/packages/CASCADE-MAKE.sh	(revision 16683)
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+
+for d in MYSQL APACHE-PASS1 PHP APACHE-PASS2  ; do
+  echo "    Running CASCADE-MAKE/$d.sh $*"
+
+  ./CASCADE-MAKE/$d.sh $*
+
+  if [ $? != 0 ] ; then
+    echo "  Error encountered running CASCADE-MAKE/$d.sh"
+    exit 1
+  fi
+done
Index: /extensions/gsdl-amp/trunk/packages/CASCADE-MAKE/APACHE-PASS1.sh
===================================================================
--- /extensions/gsdl-amp/trunk/packages/CASCADE-MAKE/APACHE-PASS1.sh	(revision 16683)
+++ /extensions/gsdl-amp/trunk/packages/CASCADE-MAKE/APACHE-PASS1.sh	(revision 16683)
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+package=apache
+version=_1.3.41
+
+progname=$0
+
+source ../bin/script/test-setup.bash
+source ../lib/cascade-lib.bash
+
+prefix=$GEXTAMP_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version "$prefix"
+
+
+
+
+
Index: /extensions/gsdl-amp/trunk/packages/CASCADE-MAKE/APACHE-PASS2.sh
===================================================================
--- /extensions/gsdl-amp/trunk/packages/CASCADE-MAKE/APACHE-PASS2.sh	(revision 16683)
+++ /extensions/gsdl-amp/trunk/packages/CASCADE-MAKE/APACHE-PASS2.sh	(revision 16683)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+package=apache
+version=_1.3.41
+
+progname=$0
+
+source ../bin/script/test-setup.bash
+source ../lib/cascade-lib.bash
+
+prefix=$GEXTAMP_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+
+opt_run_configure $force_config $auto_config $package $version "$prefix" \
+  --activate-module=src/modules/php5/libphp5.a
+
+#  --with-layout=Apache \
+
+
+opt_run_make $compile   $package $version
+opt_run_make $install   $package $version "install"
+opt_run_make $clean     $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
+
+
Index: /extensions/gsdl-amp/trunk/packages/CASCADE-MAKE/MYSQL.sh
===================================================================
--- /extensions/gsdl-amp/trunk/packages/CASCADE-MAKE/MYSQL.sh	(revision 16683)
+++ /extensions/gsdl-amp/trunk/packages/CASCADE-MAKE/MYSQL.sh	(revision 16683)
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+package=mysql
+version=-5.1.26-rc
+
+progname=$0
+
+source ../bin/script/test-setup.bash
+source ../lib/cascade-lib.bash
+
+prefix=$GEXTAMP_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version "$prefix"
+
+opt_run_make $compile   $package $version
+opt_run_make $install   $package $version "install"
+opt_run_make $clean     $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
+
+
+
Index: /extensions/gsdl-amp/trunk/packages/CASCADE-MAKE/PHP.sh
===================================================================
--- /extensions/gsdl-amp/trunk/packages/CASCADE-MAKE/PHP.sh	(revision 16683)
+++ /extensions/gsdl-amp/trunk/packages/CASCADE-MAKE/PHP.sh	(revision 16683)
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+package=php
+version=-5.2.6
+
+progname=$0
+
+source ../bin/script/test-setup.bash
+source ../lib/cascade-lib.bash
+
+prefix=$GEXTAMP_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+
+opt_run_configure $force_config $auto_config $package $version "$prefix" \
+  --with-mysql=$prefix \
+  --with-apache=../apache_1.3.33 \
+  --with-gd 
+
+# --with-jpeg-dir=/usr/local/ --with-zlib-
+
+
+opt_run_make $compile   $package $version
+opt_run_make $install   $package $version "install"
+opt_run_make $clean     $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
+
+
Index: /extensions/gsdl-amp/trunk/setup.bash
===================================================================
--- /extensions/gsdl-amp/trunk/setup.bash	(revision 16683)
+++ /extensions/gsdl-amp/trunk/setup.bash	(revision 16683)
@@ -0,0 +1,30 @@
+
+
+extdesc="the Apache-MySql-Php (AMP) Extension"
+
+
+if [ "x$GEXTAMP" = "x" ] ; then
+  export GEXTAMP=`pwd`
+  export GEXTAMP_INSTALLED=$GEXTAMP/installed
+
+  export PATH=$GEXTAMP_INSTALLED/bin:$PATH
+
+  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
+    export LD_LIBRARY_PATH=$GEXTAMP_INSTALLED/lib
+  else
+    export LD_LIBRARY_PATH=$GEXTAMP_INSTALLED/lib:$LD_LIBRARY_PATH
+  fi
+
+  if [ "x$GSDLEXTS" = "x" ] ; then
+    export GSDLEXTS=amp
+  else 
+    export GSDLEXTS=$GSDLEXTS:amp
+  fi
+
+
+  echo "+Your environment is now setup for $extdesc to Greenstone"
+else
+  echo "+Your environment is already setup for $extdesc to Greenstone"
+fi
+
+